!******************************************************************************!
!                                                                              !
!    fill_couplings2.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings2.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-14 00:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl2()
      coupl(nGC_MM) = -cMM*cima
      coupl(nGC_2066) = cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw**2d0*sw)
      coupl(nGC_2067) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw**2d0)
      coupl(nGC_2064) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev1 + sa*   &
                        vev2)/(2d0*cw**2d0*sw**2d0)
      coupl(nGC_2065) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw)
      coupl(nGC_2062) = cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0* &
                        sw**2d0)
      coupl(nGC_2063) = -ca*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*&
                        sw**2d0)
      coupl(nGC_2060) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*( &
                        ca*vev2 - sa*vev1)/(cw**2d0*sw**3d0)
      coupl(nGC_2061) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*(&
                        ca*vev2 - sa*vev1)/(cw**3d0*sw**2d0)
      coupl(nGC_2068) = sqrt(2d0)*(cb*ym1 + sb*ym2)/2d0
      coupl(nGC_2069) = sqrt(2d0)*sb/2d0
      coupl(nGC_2248) = cima*ee
      coupl(nGC_MZ) = cMZ**2d0*cima
      coupl(nGC_313) = -ca*cb**2d0*cima*ee**2d0*vev1/(2d0*sw**2d0) - ca*cb**2d0&
                       *cima*l1*vev1 - ca*cb*cima*ee**2d0*sb*vev2/(2d0*sw**2d0 &
                       ) - ca*cb*cima*l4*sb*vev2 - ca*cb*cima*l5*sb*vev2 - ca* &
                       cima*l3*sb**2d0*vev1 - cb**2d0*cima*l3*sa*vev2 - cb*cima&
                       *ee**2d0*sa*sb*vev1/(2d0*sw**2d0) - cb*cima*l4*sa*sb*   &
                       vev1 - cb*cima*l5*sa*sb*vev1 - cima*ee**2d0*sa*sb**2d0* &
                       vev2/(2d0*sw**2d0) - cima*l2*sa*sb**2d0*vev2
      coupl(nGC_2390) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_2391) = -12d0*ca*cima*sa*(-ca**2d0*l2 + ca**2d0*l3 + ca**2d0*l4&
                         + ca**2d0*l5 + l1*sa**2d0 - l3*sa**2d0 - l4*sa**2d0 - &
                        l5*sa**2d0)
      coupl(nGC_2392) = cima*(ca**2d0*cb**2d0*l1 - ca**2d0*cb**2d0*l3 - ca**2d0&
                        *cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**2d0*l1*sb**2d0  &
                         + ca**2d0*l3*sb**2d0 + ca**2d0*l4*sb**2d0 - ca**2d0*l5&
                        *sb**2d0 + 8d0*ca*cb*l5*sa*sb - cb**2d0*l2*sa**2d0 + cb&
                        **2d0*l3*sa**2d0 + cb**2d0*l4*sa**2d0 - cb**2d0*l5*sa**&
                        2d0 + l2*sa**2d0*sb**2d0 - l3*sa**2d0*sb**2d0 - l4*sa**&
                        2d0*sb**2d0 + l5*sa**2d0*sb**2d0)
      coupl(nGC_2393) = -cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_2395) = ca**2d0*cb*cima*sb
      coupl(nGC_2396) = -cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_2397) = cima*(ca**2d0*cb*sb - 2d0*ca*cb**2d0*sa + 2d0*ca*sa*sb &
                        **2d0 - cb*sa**2d0*sb)
      coupl(nGC_2398) = -2d0*cima*(ca**2d0*cb**2d0*l5 - ca**2d0*l5*sb**2d0 + ca&
                        *cb*l1*sa*sb + ca*cb*l2*sa*sb - 2d0*ca*cb*l3*sa*sb -   &
                        2d0*ca*cb*l4*sa*sb + 2d0*ca*cb*l5*sa*sb - cb**2d0*l5*sa&
                        **2d0 + l5*sa**2d0*sb**2d0)
      coupl(nGC_MU) = -cMU*cima
      coupl(nGC_1477) = (cb**2d0 + sb**2d0)*(l4 - l5)*(ca*cb + sa*sb)/2d0
      coupl(nGC_302) = -cb**3d0*ee**2d0*vev2/(4d0*sw**2d0) + cb**3d0*l4*vev2/  &
                       2d0 - cb**3d0*l5*vev2/2d0 + cb**2d0*ee**2d0*sb*vev1/(4d0&
                       *sw**2d0) - cb**2d0*l4*sb*vev1/2d0 + cb**2d0*l5*sb*vev1/&
                       2d0 - cb*ee**2d0*sb**2d0*vev2/(4d0*sw**2d0) + cb*l4*sb**&
                       2d0*vev2/2d0 - cb*l5*sb**2d0*vev2/2d0 + ee**2d0*sb**3d0*&
                       vev1/(4d0*sw**2d0) - l4*sb**3d0*vev1/2d0 + l5*sb**3d0*  &
                       vev1/2d0
      coupl(nGC_303) = -cb**3d0*ee**2d0*vev2/(4d0*sw**2d0) - cb**3d0*l4*vev2/  &
                       2d0 + cb**3d0*l5*vev2/2d0 + cb**2d0*ee**2d0*sb*vev1/(4d0&
                       *sw**2d0) + cb**2d0*l4*sb*vev1/2d0 - cb**2d0*l5*sb*vev1/&
                       2d0 - cb*ee**2d0*sb**2d0*vev2/(4d0*sw**2d0) - cb*l4*sb**&
                       2d0*vev2/2d0 + cb*l5*sb**2d0*vev2/2d0 + ee**2d0*sb**3d0*&
                       vev1/(4d0*sw**2d0) + l4*sb**3d0*vev1/2d0 - l5*sb**3d0*  &
                       vev1/2d0
      coupl(nGC_301) = -cb**3d0*ee**2d0*vev2/(4d0*sw**2d0) + cb**3d0*ee**2d0*  &
                       vev2/(4d0*cw**2d0) + cb**2d0*ee**2d0*sb*vev1/(4d0*sw**  &
                       2d0) - cb**2d0*ee**2d0*sb*vev1/(4d0*cw**2d0) - cb*ee**  &
                       2d0*sb**2d0*vev2/(4d0*sw**2d0) + cb*ee**2d0*sb**2d0*vev2&
                       /(4d0*cw**2d0) + ee**2d0*sb**3d0*vev1/(4d0*sw**2d0) - ee&
                       **2d0*sb**3d0*vev1/(4d0*cw**2d0)
      coupl(nGC_306) = cb**3d0*ee**2d0*vev2/(4d0*sw**2d0) - cb**3d0*l4*vev2/2d0&
                        + cb**3d0*l5*vev2/2d0 - cb**2d0*ee**2d0*sb*vev1/(4d0*sw&
                       **2d0) + cb**2d0*l4*sb*vev1/2d0 - cb**2d0*l5*sb*vev1/2d0&
                        + cb*ee**2d0*sb**2d0*vev2/(4d0*sw**2d0) - cb*l4*sb**2d0&
                       *vev2/2d0 + cb*l5*sb**2d0*vev2/2d0 - ee**2d0*sb**3d0*   &
                       vev1/(4d0*sw**2d0) + l4*sb**3d0*vev1/2d0 - l5*sb**3d0*  &
                       vev1/2d0
      coupl(nGC_307) = -ca*cb**2d0*cima*ee**2d0*vev1/(4d0*sw**2d0) - ca*cb**2d0&
                       *cima*l4*vev1/2d0 - ca*cb**2d0*cima*l5*vev1/2d0 - ca*cb*&
                       cima*ee**2d0*sb*vev2/(2d0*sw**2d0) - ca*cb*cima*l2*sb*  &
                       vev2 + ca*cb*cima*l3*sb*vev2 + ca*cima*ee**2d0*sb**2d0* &
                       vev1/(4d0*sw**2d0) + ca*cima*l4*sb**2d0*vev1/2d0 + ca*  &
                       cima*l5*sb**2d0*vev1/2d0 + cb**2d0*cima*ee**2d0*sa*vev2 &
                       /(4d0*sw**2d0) + cb**2d0*cima*l4*sa*vev2/2d0 + cb**2d0* &
                       cima*l5*sa*vev2/2d0 - cb*cima*ee**2d0*sa*sb*vev1/(2d0*sw&
                       **2d0) - cb*cima*l1*sa*sb*vev1 + cb*cima*l3*sa*sb*vev1  &
                        - cima*ee**2d0*sa*sb**2d0*vev2/(4d0*sw**2d0) - cima*l4*&
                       sa*sb**2d0*vev2/2d0 - cima*l5*sa*sb**2d0*vev2/2d0
      coupl(nGC_304) = cb**3d0*ee**2d0*vev2/(4d0*sw**2d0) - cb**3d0*ee**2d0*   &
                       vev2/(4d0*cw**2d0) - cb**2d0*ee**2d0*sb*vev1/(4d0*sw**  &
                       2d0) + cb**2d0*ee**2d0*sb*vev1/(4d0*cw**2d0) + cb*ee**  &
                       2d0*sb**2d0*vev2/(4d0*sw**2d0) - cb*ee**2d0*sb**2d0*vev2&
                       /(4d0*cw**2d0) - ee**2d0*sb**3d0*vev1/(4d0*sw**2d0) + ee&
                       **2d0*sb**3d0*vev1/(4d0*cw**2d0)
      coupl(nGC_305) = cb**3d0*ee**2d0*vev2/(4d0*sw**2d0) + cb**3d0*l4*vev2/2d0&
                        - cb**3d0*l5*vev2/2d0 - cb**2d0*ee**2d0*sb*vev1/(4d0*sw&
                       **2d0) - cb**2d0*l4*sb*vev1/2d0 + cb**2d0*l5*sb*vev1/2d0&
                        + cb*ee**2d0*sb**2d0*vev2/(4d0*sw**2d0) + cb*l4*sb**2d0&
                       *vev2/2d0 - cb*l5*sb**2d0*vev2/2d0 - ee**2d0*sb**3d0*   &
                       vev1/(4d0*sw**2d0) - l4*sb**3d0*vev1/2d0 + l5*sb**3d0*  &
                       vev1/2d0
      coupl(nGC_308) = -ca*cb**2d0*cima*ee**2d0*vev1/(4d0*sw**2d0) - ca*cb**2d0&
                       *cima*l5*vev1 - ca*cb**2d0*cima*ee**2d0*vev1/(4d0*cw**  &
                       2d0) - ca*cb*cima*ee**2d0*sb*vev2/(2d0*sw**2d0) - ca*cb*&
                       cima*l2*sb*vev2 + ca*cb*cima*l3*sb*vev2 + ca*cb*cima*l4*&
                       sb*vev2 - ca*cb*cima*l5*sb*vev2 - ca*cb*cima*ee**2d0*sb*&
                       vev2/(2d0*cw**2d0) + ca*cima*ee**2d0*sb**2d0*vev1/(4d0* &
                       sw**2d0) + ca*cima*l5*sb**2d0*vev1 + ca*cima*ee**2d0*sb &
                       **2d0*vev1/(4d0*cw**2d0) + cb**2d0*cima*ee**2d0*sa*vev2 &
                       /(4d0*sw**2d0) + cb**2d0*cima*l5*sa*vev2 + cb**2d0*cima*&
                       ee**2d0*sa*vev2/(4d0*cw**2d0) - cb*cima*ee**2d0*sa*sb*  &
                       vev1/(2d0*sw**2d0) - cb*cima*l1*sa*sb*vev1 + cb*cima*l3*&
                       sa*sb*vev1 + cb*cima*l4*sa*sb*vev1 - cb*cima*l5*sa*sb*  &
                       vev1 - cb*cima*ee**2d0*sa*sb*vev1/(2d0*cw**2d0) - cima* &
                       ee**2d0*sa*sb**2d0*vev2/(4d0*sw**2d0) - cima*l5*sa*sb** &
                       2d0*vev2 - cima*ee**2d0*sa*sb**2d0*vev2/(4d0*cw**2d0)
      coupl(nGC_309) = ca*cb**2d0*cima*ee**2d0*vev1/(4d0*sw**2d0) - ca*cb**2d0*&
                       cima*l1*vev1 + ca*cb*cima*ee**2d0*sb*vev2/(4d0*sw**2d0  &
                       ) - ca*cb*cima*l4*sb*vev2 - ca*cb*cima*l5*sb*vev2 - ca* &
                       cima*l3*sb**2d0*vev1 - cb**2d0*cima*l3*sa*vev2 + cb*cima&
                       *ee**2d0*sa*sb*vev1/(4d0*sw**2d0) - cb*cima*l4*sa*sb*   &
                       vev1 - cb*cima*l5*sa*sb*vev1 + cima*ee**2d0*sa*sb**2d0* &
                       vev2/(4d0*sw**2d0) - cima*l2*sa*sb**2d0*vev2
      coupl(nGC_1708) = 2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1709) = -cb**2d0*cima*sb**2d0
      coupl(nGC_1874) = cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*sw)
      coupl(nGC_1703) = cb*cima*ee**2d0/(2d0*sw)
      coupl(nGC_1700) = -cima*(cb - sb)**2d0*(cb + sb)**2d0
      coupl(nGC_521) = cb*cima*sb*(ca*vev2 + sa*vev1)
      coupl(nGC_1870) = cb*cima*ee**2d0/(2d0*sw)
      coupl(nGC_1871) = cima*ee**2d0*sb/(2d0*sw)
      coupl(nGC_1872) = cima*ee**2d0*(cb*vev1 + sb*vev2)/sw
      coupl(nGC_1705) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*sw**2d0)
      coupl(nGC_1974) = -sqrt(2d0)*cima*(ca*ym2 - sa*ym1)/2d0
      coupl(nGC_1674) = 2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1672) = -cb**2d0*cima*sb**2d0
      coupl(nGC_1673) = 2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1670) = -cima*(cb**4d0 + sb**4d0)
      coupl(nGC_1671) = -cb**2d0*cima*sb**2d0
      coupl(nGC_1972) = cima*ee**2d0*(cb**2d0 + sb**2d0)/sw**2d0
      coupl(nGC_1678) = -(cb**2d0 + sb**2d0)*(cb*vev1 + sb*vev2)/2d0
      coupl(nGC_1679) = (cb**2d0 + sb**2d0)*(cb*vev1 + sb*vev2)/2d0
      coupl(nGC_589) = ca*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw&
                       **2d0)
      coupl(nGC_1450) = -cima*(ca**3d0*vev2 + 2d0*ca**2d0*sa*vev1 - 2d0*ca*sa**&
                        2d0*vev2 - sa**3d0*vev1)
      coupl(nGC_1456) = 2d0*cima*(-ca**2d0*cb*l2*sb + ca**2d0*cb*l3*sb + ca**  &
                        2d0*cb*l4*sb - ca**2d0*cb*l5*sb + 2d0*ca*cb**2d0*l5*sa &
                         - 2d0*ca*l5*sa*sb**2d0 + cb*l1*sa**2d0*sb - cb*l3*sa**&
                        2d0*sb - cb*l4*sa**2d0*sb + cb*l5*sa**2d0*sb)
      coupl(nGC_1457) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
      coupl(nGC_1458) = -ca**2d0*cima*sb**2d0
      coupl(nGC_1459) = -cb**2d0*cima*sa**2d0
      coupl(nGC_583) = sqrt(2d0)*cb/2d0
      coupl(nGC_2231) = cima*(-ca**2d0*cb**2d0*l2 + ca**2d0*cb**2d0*l3 + ca**  &
                        2d0*cb**2d0*l4 - ca**2d0*cb**2d0*l5 + ca**2d0*l1*sb**  &
                        2d0 - ca**2d0*l3*sb**2d0 - ca**2d0*l4*sb**2d0 + ca**2d0&
                        *l5*sb**2d0 - 8d0*ca*cb*l5*sa*sb + cb**2d0*l2*sa**2d0  &
                         - cb**2d0*l3*sa**2d0 - cb**2d0*l4*sa**2d0 + cb**2d0*l5&
                        *sa**2d0 - l1*sa**2d0*sb**2d0 + l3*sa**2d0*sb**2d0 + l4&
                        *sa**2d0*sb**2d0 - l5*sa**2d0*sb**2d0)
      coupl(nGC_2230) = cima*(2d0*ca**2d0*cb*sb - ca*cb**2d0*sa + ca*sa*sb**2d0&
                         - 2d0*cb*sa**2d0*sb)
      coupl(nGC_1747) = -cb*cima
      coupl(nGC_1745) = -cima*(cb*ytau2 - sb*ytau1)
      coupl(nGC_563) = -cb*cima*sb*(ca*vev1 - sa*vev2)
      coupl(nGC_897) = -coupl(nGC_350)
      coupl(nGC_607) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*(ca&
                       *vev2 - sa*vev1)/(cw**3d0*sw**2d0)
      coupl(nGC_605) = -cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev1 + sa*   &
                       vev2)/(2d0*cw**2d0*sw**2d0)
      coupl(nGC_2129) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_2128) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw**2d0)
      coupl(nGC_2127) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_2126) = cima*ee**2d0*(ca*cb + sa*sb)/sw
      coupl(nGC_2125) = 4d0*cima*ee**2d0
      coupl(nGC_48) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cb**2d0*cima*l4 + ca**&
                      2d0*cb**2d0*cima*l5 - ca**2d0*cima*l1*sb**2d0 + 4d0*ca*cb&
                      *cima*l5*sa*sb - cb**2d0*cima*l2*sa**2d0 - cima*l3*sa**  &
                      2d0*sb**2d0 - cima*l4*sa**2d0*sb**2d0 + cima*l5*sa**2d0* &
                      sb**2d0
      coupl(nGC_49) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cb**2d0*cima*l4 + ca**&
                      2d0*cb**2d0*cima*l5 - ca**2d0*cima*l2*sb**2d0 + 4d0*ca*cb&
                      *cima*l5*sa*sb - cb**2d0*cima*l1*sa**2d0 - cima*l3*sa**  &
                      2d0*sb**2d0 - cima*l4*sa**2d0*sb**2d0 + cima*l5*sa**2d0* &
                      sb**2d0
      coupl(nGC_44) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cima*l1*sb**2d0 + 2d0*&
                      ca*cb*cima*l4*sa*sb + 2d0*ca*cb*cima*l5*sa*sb - cb**2d0* &
                      cima*l2*sa**2d0 - cima*l3*sa**2d0*sb**2d0
      coupl(nGC_45) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cima*l2*sb**2d0 + 2d0*&
                      ca*cb*cima*l4*sa*sb + 2d0*ca*cb*cima*l5*sa*sb - cb**2d0* &
                      cima*l1*sa**2d0 - cima*l3*sa**2d0*sb**2d0
      coupl(nGC_46) = -ca**2d0*cb**2d0*cima*l4/2d0 - ca**2d0*cb**2d0*cima*l5/  &
                      2d0 + ca**2d0*cima*l4*sb**2d0/2d0 + ca**2d0*cima*l5*sb** &
                      2d0/2d0 - ca*cb*cima*l1*sa*sb - ca*cb*cima*l2*sa*sb + 2d0&
                      *ca*cb*cima*l3*sa*sb + cb**2d0*cima*l4*sa**2d0/2d0 + cb**&
                      2d0*cima*l5*sa**2d0/2d0 - cima*l4*sa**2d0*sb**2d0/2d0 -  &
                      cima*l5*sa**2d0*sb**2d0/2d0
      coupl(nGC_47) = -ca**2d0*cb**2d0*cima*l5 + ca**2d0*cima*l5*sb**2d0 - ca* &
                      cb*cima*l1*sa*sb - ca*cb*cima*l2*sa*sb + 2d0*ca*cb*cima* &
                      l3*sa*sb + 2d0*ca*cb*cima*l4*sa*sb - 2d0*ca*cb*cima*l5*sa&
                      *sb + cb**2d0*cima*l5*sa**2d0 - cima*l5*sa**2d0*sb**2d0
      coupl(nGC_40) = -ca**2d0*cb**2d0*cima*l2 - ca**2d0*cima*l3*sb**2d0 - 2d0*&
                      ca*cb*cima*l4*sa*sb - 2d0*ca*cb*cima*l5*sa*sb - cb**2d0* &
                      cima*l3*sa**2d0 - cima*l1*sa**2d0*sb**2d0
      coupl(nGC_41) = -ca**2d0*cb**2d0*cima*l2 - ca**2d0*cima*l3*sb**2d0 - ca**&
                      2d0*cima*l4*sb**2d0 + ca**2d0*cima*l5*sb**2d0 - 4d0*ca*cb&
                      *cima*l5*sa*sb - cb**2d0*cima*l3*sa**2d0 - cb**2d0*cima* &
                      l4*sa**2d0 + cb**2d0*cima*l5*sa**2d0 - cima*l1*sa**2d0*sb&
                      **2d0
      coupl(nGC_42) = -ca**2d0*cb**2d0*cima*l1 - ca**2d0*cima*l3*sb**2d0 - 2d0*&
                      ca*cb*cima*l4*sa*sb - 2d0*ca*cb*cima*l5*sa*sb - cb**2d0* &
                      cima*l3*sa**2d0 - cima*l2*sa**2d0*sb**2d0
      coupl(nGC_43) = -ca**2d0*cb**2d0*cima*l1 - ca**2d0*cima*l3*sb**2d0 - ca**&
                      2d0*cima*l4*sb**2d0 + ca**2d0*cima*l5*sb**2d0 - 4d0*ca*cb&
                      *cima*l5*sa*sb - cb**2d0*cima*l3*sa**2d0 - cb**2d0*cima* &
                      l4*sa**2d0 + cb**2d0*cima*l5*sa**2d0 - cima*l2*sa**2d0*sb&
                      **2d0
      coupl(nGC_2017) = ca*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_2016) = cima*ee**2d0*(ca*vev2 - sa*vev1)/(2d0*sw**2d0)
      coupl(nGC_2015) = -cima*ee**2d0*(ca*vev1 + sa*vev2)/sw**3d0
      coupl(nGC_2019) = cima*ee**2d0*(ca*vev1 + sa*vev2)/sw**2d0
      coupl(nGC_2018) = cima*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_2239) = -cima*(cb*yup1 + sb*yup2)
      coupl(nGC_2347) = -cb*cima
      coupl(nGC_2346) = cima*(cb*ytau1 + sb*ytau2)
      coupl(nGC_300) = -ca*cb**2d0*cima*l3*vev2 - ca*cb**2d0*cima*l4*vev2 + ca*&
                       cb**2d0*cima*l5*vev2 - ca*cb*cima*ee**2d0*sb*vev1/(2d0* &
                       sw**2d0) - 2d0*ca*cb*cima*l5*sb*vev1 - ca*cb*cima*ee**  &
                       2d0*sb*vev1/(2d0*cw**2d0) - ca*cima*ee**2d0*sb**2d0*vev2&
                       /(2d0*sw**2d0) - ca*cima*l2*sb**2d0*vev2 - ca*cima*ee** &
                       2d0*sb**2d0*vev2/(2d0*cw**2d0) + cb**2d0*cima*ee**2d0*sa&
                       *vev1/(2d0*sw**2d0) + cb**2d0*cima*l1*sa*vev1 + cb**2d0*&
                       cima*ee**2d0*sa*vev1/(2d0*cw**2d0) + cb*cima*ee**2d0*sa*&
                       sb*vev2/(2d0*sw**2d0) + 2d0*cb*cima*l5*sa*sb*vev2 + cb* &
                       cima*ee**2d0*sa*sb*vev2/(2d0*cw**2d0) + cima*l3*sa*sb** &
                       2d0*vev1 + cima*l4*sa*sb**2d0*vev1 - cima*l5*sa*sb**2d0*&
                       vev1
      coupl(nGC_311) = ca*cb**2d0*cima*ee**2d0*vev1/(4d0*sw**2d0) - ca*cb**2d0*&
                       cima*l4*vev1/2d0 - ca*cb**2d0*cima*l5*vev1/2d0 + ca*cb* &
                       cima*ee**2d0*sb*vev2/(4d0*sw**2d0) - ca*cb*cima*l2*sb*  &
                       vev2 + ca*cb*cima*l3*sb*vev2 + ca*cima*l4*sb**2d0*vev1/ &
                       2d0 + ca*cima*l5*sb**2d0*vev1/2d0 + cb**2d0*cima*l4*sa* &
                       vev2/2d0 + cb**2d0*cima*l5*sa*vev2/2d0 + cb*cima*ee**2d0&
                       *sa*sb*vev1/(4d0*sw**2d0) - cb*cima*l1*sa*sb*vev1 + cb* &
                       cima*l3*sa*sb*vev1 + cima*ee**2d0*sa*sb**2d0*vev2/(4d0* &
                       sw**2d0) - cima*l4*sa*sb**2d0*vev2/2d0 - cima*l5*sa*sb**&
                       2d0*vev2/2d0
      coupl(nGC_312) = ca*cb**2d0*cima*ee**2d0*vev1/(4d0*sw**2d0) - ca*cb**2d0*&
                       cima*l5*vev1 + ca*cb**2d0*cima*ee**2d0*vev1/(4d0*cw**2d0&
                       ) + ca*cb*cima*ee**2d0*sb*vev2/(4d0*sw**2d0) - ca*cb*   &
                       cima*l2*sb*vev2 + ca*cb*cima*l3*sb*vev2 + ca*cb*cima*l4*&
                       sb*vev2 - ca*cb*cima*l5*sb*vev2 + ca*cb*cima*ee**2d0*sb*&
                       vev2/(4d0*cw**2d0) + ca*cima*l5*sb**2d0*vev1 + cb**2d0* &
                       cima*l5*sa*vev2 + cb*cima*ee**2d0*sa*sb*vev1/(4d0*sw**  &
                       2d0) - cb*cima*l1*sa*sb*vev1 + cb*cima*l3*sa*sb*vev1 +  &
                       cb*cima*l4*sa*sb*vev1 - cb*cima*l5*sa*sb*vev1 + cb*cima*&
                       ee**2d0*sa*sb*vev1/(4d0*cw**2d0) + cima*ee**2d0*sa*sb** &
                       2d0*vev2/(4d0*sw**2d0) - cima*l5*sa*sb**2d0*vev2 + cima*&
                       ee**2d0*sa*sb**2d0*vev2/(4d0*cw**2d0)
      coupl(nGC_314) = -ca*cb**2d0*cima*ee**2d0*vev1/(2d0*sw**2d0) - ca*cb**2d0&
                       *cima*l1*vev1 - ca*cb**2d0*cima*ee**2d0*vev1/(2d0*cw**  &
                       2d0) - ca*cb*cima*ee**2d0*sb*vev2/(2d0*sw**2d0) - 2d0*ca&
                       *cb*cima*l5*sb*vev2 - ca*cb*cima*ee**2d0*sb*vev2/(2d0*cw&
                       **2d0) - ca*cima*l3*sb**2d0*vev1 - ca*cima*l4*sb**2d0*  &
                       vev1 + ca*cima*l5*sb**2d0*vev1 - cb**2d0*cima*l3*sa*vev2&
                        - cb**2d0*cima*l4*sa*vev2 + cb**2d0*cima*l5*sa*vev2 -  &
                       cb*cima*ee**2d0*sa*sb*vev1/(2d0*sw**2d0) - 2d0*cb*cima* &
                       l5*sa*sb*vev1 - cb*cima*ee**2d0*sa*sb*vev1/(2d0*cw**2d0 &
                       ) - cima*ee**2d0*sa*sb**2d0*vev2/(2d0*sw**2d0) - cima*l2&
                       *sa*sb**2d0*vev2 - cima*ee**2d0*sa*sb**2d0*vev2/(2d0*cw &
                       **2d0)
      coupl(nGC_317) = -cb**3d0*ee**2d0*vev1/(4d0*sw**2d0) - cb**3d0*l4*vev1/  &
                       2d0 + cb**3d0*l5*vev1/2d0 - cb**2d0*ee**2d0*sb*vev2/(4d0&
                       *sw**2d0) - cb**2d0*l4*sb*vev2/2d0 + cb**2d0*l5*sb*vev2/&
                       2d0 - cb*ee**2d0*sb**2d0*vev1/(4d0*sw**2d0) - cb*l4*sb**&
                       2d0*vev1/2d0 + cb*l5*sb**2d0*vev1/2d0 - ee**2d0*sb**3d0*&
                       vev2/(4d0*sw**2d0) - l4*sb**3d0*vev2/2d0 + l5*sb**3d0*  &
                       vev2/2d0
      coupl(nGC_319) = cb**3d0*ee**2d0*vev1/(4d0*sw**2d0) + cb**3d0*l4*vev1/2d0&
                        - cb**3d0*l5*vev1/2d0 + cb**2d0*ee**2d0*sb*vev2/(4d0*sw&
                       **2d0) + cb**2d0*l4*sb*vev2/2d0 - cb**2d0*l5*sb*vev2/2d0&
                        + cb*ee**2d0*sb**2d0*vev1/(4d0*sw**2d0) + cb*l4*sb**2d0&
                       *vev1/2d0 - cb*l5*sb**2d0*vev1/2d0 + ee**2d0*sb**3d0*   &
                       vev2/(4d0*sw**2d0) + l4*sb**3d0*vev2/2d0 - l5*sb**3d0*  &
                       vev2/2d0
      coupl(nGC_511) = -cima*(-ca*cb**2d0*l4*vev2 - ca*cb**2d0*l5*vev2 + 2d0*ca&
                       *cb*l1*sb*vev1 - 2d0*ca*cb*l3*sb*vev1 + ca*l4*sb**2d0*  &
                       vev2 + ca*l5*sb**2d0*vev2 - cb**2d0*l4*sa*vev1 - cb**2d0&
                       *l5*sa*vev1 - 2d0*cb*l2*sa*sb*vev2 + 2d0*cb*l3*sa*sb*   &
                       vev2 + l4*sa*sb**2d0*vev1 + l5*sa*sb**2d0*vev1)
      coupl(nGC_2349) = sqrt(2d0)*(cb*yd13x3 + sb*yb2)/2d0
      coupl(nGC_2348) = cima*sb
      coupl(nGC_539) = cima*sa*sb**2d0*vev1
      coupl(nGC_531) = cima*(ca*cb**2d0*l4*vev1 + ca*cb**2d0*l5*vev1 + 2d0*ca* &
                       cb*l2*sb*vev2 - 2d0*ca*cb*l3*sb*vev2 - ca*l4*sb**2d0*   &
                       vev1 - ca*l5*sb**2d0*vev1 - cb**2d0*l4*sa*vev2 - cb**2d0&
                       *l5*sa*vev2 + 2d0*cb*l1*sa*sb*vev1 - 2d0*cb*l3*sa*sb*   &
                       vev1 + l4*sa*sb**2d0*vev2 + l5*sa*sb**2d0*vev2)
      coupl(nGC_533) = -cima*(ca*cb**2d0*l2 + ca*l3*sb**2d0 + cb*l4*sa*sb + cb*&
                       l5*sa*sb)
      coupl(nGC_535) = cima*(ca*cb**2d0*l3*vev1 - ca*cb*l4*sb*vev2 - ca*cb*l5* &
                       sb*vev2 + ca*l1*sb**2d0*vev1 + cb**2d0*l2*sa*vev2 - cb* &
                       l4*sa*sb*vev1 - cb*l5*sa*sb*vev1 + l3*sa*sb**2d0*vev2)
      coupl(nGC_537) = -ca*cb**2d0*cima*vev2
      coupl(nGC_1603) = -cima*sb**4d0
      coupl(nGC_1602) = -cb**4d0*cima
      coupl(nGC_1601) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1600) = -4d0*cb*cima*sb*(-cb**2d0*l2 + cb**2d0*l3 + cb**2d0*l4 &
                         + cb**2d0*l5 + l1*sb**2d0 - l3*sb**2d0 - l4*sb**2d0 - &
                        l5*sb**2d0)
      coupl(nGC_1607) = -(cb**2d0 + sb**2d0)*(cb*vev1 + sb*vev2)/2d0
      coupl(nGC_1606) = (cb**2d0 + sb**2d0)*(cb*vev1 + sb*vev2)/2d0
      coupl(nGC_1605) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1604) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1609) = cb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
      coupl(nGC_1608) = sb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
      coupl(nGC_1935) = 2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_1934) = -2d0*cima*ee
      coupl(nGC_1937) = -cima*(ca*cb**2d0*l4*vev1 + ca*cb**2d0*l5*vev1 + 2d0*ca&
                        *cb*l2*sb*vev2 - 2d0*ca*cb*l3*sb*vev2 - ca*l4*sb**2d0* &
                        vev1 - ca*l5*sb**2d0*vev1 - cb**2d0*l4*sa*vev2 - cb**  &
                        2d0*l5*sa*vev2 + 2d0*cb*l1*sa*sb*vev1 - 2d0*cb*l3*sa*sb&
                        *vev1 + l4*sa*sb**2d0*vev2 + l5*sa*sb**2d0*vev2)
      coupl(nGC_1936) = -2d0*cima*ee**2d0/sw**3d0
      coupl(nGC_1939) = cima*(-ca*cb*l4*sb - ca*cb*l5*sb + cb**2d0*l1*sa + l3* &
                        sa*sb**2d0)
      coupl(nGC_1938) = -cima*(ca*cb**2d0*l3 + ca*l2*sb**2d0 - cb*l4*sa*sb - cb&
                        *l5*sa*sb)
      coupl(nGC_1487) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(ca*cb + sa*sb)/2d0
      coupl(nGC_1203) = -ee**2d0*(cb**2d0 + sb**2d0)/cw
      coupl(nGC_1593) = (cb**2d0 + sb**2d0)*(l4 - l5)*(ca*sb - cb*sa)/2d0
      coupl(nGC_1592) = (cb**2d0 + sb**2d0)*(l4 - l5)*(ca*sb - cb*sa)/2d0
      coupl(nGC_1591) = (cb**2d0 + sb**2d0)*(ca*cb + sa*sb)/2d0
      coupl(nGC_1590) = -(cb**2d0 + sb**2d0)*(ca*cb + sa*sb)/2d0
      coupl(nGC_1597) = -sqrt(2d0)*(cb*ydo2 - sb*ydo1)/2d0
      coupl(nGC_1596) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(ca*sb - cb*sa)/2d0
      coupl(nGC_1595) = -(cb**2d0 + sb**2d0)*(ca*cb + sa*sb)/2d0
      coupl(nGC_1594) = (cb**2d0 + sb**2d0)*(ca*cb + sa*sb)/2d0
      coupl(nGC_1599) = -sqrt(2d0)*sb/2d0
      coupl(nGC_1598) = -sqrt(2d0)*cb/2d0
      coupl(nGC_1333) = -cima*(ca*cb**2d0*vev1 + ca*cb*sb*vev2 - ca*sb**2d0*   &
                        vev1 - cb**2d0*sa*vev2 + cb*sa*sb*vev1 + sa*sb**2d0*   &
                        vev2)
      coupl(nGC_1332) = -cima*(-ca*cb**2d0*l5*vev2 + ca*cb*l1*sb*vev1 - ca*cb* &
                        l3*sb*vev1 - ca*cb*l4*sb*vev1 + ca*cb*l5*sb*vev1 + ca* &
                        l5*sb**2d0*vev2 - cb**2d0*l5*sa*vev1 - cb*l2*sa*sb*vev2&
                         + cb*l3*sa*sb*vev2 + cb*l4*sa*sb*vev2 - cb*l5*sa*sb*  &
                        vev2 + l5*sa*sb**2d0*vev1)
      coupl(nGC_1331) = cb*cima*sb*(ca*vev2 + sa*vev1)
      coupl(nGC_1330) = cb*cima*sb*(ca*vev2 + sa*vev1)
      coupl(nGC_881) = -coupl(nGC_200)/2d0
      coupl(nGC_883) = -coupl(nGC_173)
      coupl(nGC_2138) = -ee*(cb**2d0 + sb**2d0)/(2d0*sw**2d0)
      coupl(nGC_2139) = -cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_39) = ca**2d0*cb*cima*l1*sb - ca**2d0*cb*cima*l3*sb - ca**2d0* &
                      cb*cima*l4*sb + ca**2d0*cb*cima*l5*sb - 2d0*ca*cb**2d0*  &
                      cima*l5*sa + 2d0*ca*cima*l5*sa*sb**2d0 - cb*cima*l2*sa** &
                      2d0*sb + cb*cima*l3*sa**2d0*sb + cb*cima*l4*sa**2d0*sb - &
                      cb*cima*l5*sa**2d0*sb
      coupl(nGC_38) = -ca**2d0*cb*cima*l2*sb + ca**2d0*cb*cima*l3*sb + ca**2d0*&
                      cb*cima*l4*sb - ca**2d0*cb*cima*l5*sb + 2d0*ca*cb**2d0*  &
                      cima*l5*sa - 2d0*ca*cima*l5*sa*sb**2d0 + cb*cima*l1*sa** &
                      2d0*sb - cb*cima*l3*sa**2d0*sb - cb*cima*l4*sa**2d0*sb + &
                      cb*cima*l5*sa**2d0*sb
      coupl(nGC_31) = cb**2d0*ee**2d0/(2d0*cw) + ee**2d0*sb**2d0/(2d0*cw)
      coupl(nGC_30) = -cb**2d0*ee**2d0/(2d0*cw) - ee**2d0*sb**2d0/(2d0*cw)
      coupl(nGC_33) = -ca**2d0*cb*cima*l4*sb - ca**2d0*cb*cima*l5*sb + ca*cb** &
                      2d0*cima*l1*sa - ca*cb**2d0*cima*l3*sa - ca*cima*l2*sa*sb&
                      **2d0 + ca*cima*l3*sa*sb**2d0 + cb*cima*l4*sa**2d0*sb +  &
                      cb*cima*l5*sa**2d0*sb
      coupl(nGC_32) = ca**2d0*cb*cima*l4*sb + ca**2d0*cb*cima*l5*sb - ca*cb**  &
                      2d0*cima*l2*sa + ca*cb**2d0*cima*l3*sa + ca*cima*l1*sa*sb&
                      **2d0 - ca*cima*l3*sa*sb**2d0 - cb*cima*l4*sa**2d0*sb -  &
                      cb*cima*l5*sa**2d0*sb
      coupl(nGC_35) = -2d0*ca**2d0*cb*cima*l5*sb + ca*cb**2d0*cima*l1*sa - ca* &
                      cb**2d0*cima*l3*sa - ca*cb**2d0*cima*l4*sa + ca*cb**2d0* &
                      cima*l5*sa - ca*cima*l2*sa*sb**2d0 + ca*cima*l3*sa*sb**  &
                      2d0 + ca*cima*l4*sa*sb**2d0 - ca*cima*l5*sa*sb**2d0 + 2d0&
                      *cb*cima*l5*sa**2d0*sb
      coupl(nGC_34) = -ca**2d0*cb*cima*l2*sb + ca**2d0*cb*cima*l3*sb + ca*cb** &
                      2d0*cima*l4*sa + ca*cb**2d0*cima*l5*sa - ca*cima*l4*sa*sb&
                      **2d0 - ca*cima*l5*sa*sb**2d0 + cb*cima*l1*sa**2d0*sb -  &
                      cb*cima*l3*sa**2d0*sb
      coupl(nGC_37) = ca**2d0*cb*cima*l1*sb - ca**2d0*cb*cima*l3*sb - ca*cb**  &
                      2d0*cima*l4*sa - ca*cb**2d0*cima*l5*sa + ca*cima*l4*sa*sb&
                      **2d0 + ca*cima*l5*sa*sb**2d0 - cb*cima*l2*sa**2d0*sb +  &
                      cb*cima*l3*sa**2d0*sb
      coupl(nGC_36) = 2d0*ca**2d0*cb*cima*l5*sb - ca*cb**2d0*cima*l2*sa + ca*cb&
                      **2d0*cima*l3*sa + ca*cb**2d0*cima*l4*sa - ca*cb**2d0*   &
                      cima*l5*sa + ca*cima*l1*sa*sb**2d0 - ca*cima*l3*sa*sb**  &
                      2d0 - ca*cima*l4*sa*sb**2d0 + ca*cima*l5*sa*sb**2d0 - 2d0&
                      *cb*cima*l5*sa**2d0*sb
      coupl(nGC_2000) = cima*ee/3d0
      coupl(nGC_2001) = sqrt(2d0)*(cb*ytau1 + sb*ytau2)/2d0
      coupl(nGC_2002) = -sqrt(2d0)*cb/2d0
      coupl(nGC_2003) = sqrt(2d0)*sb/2d0
      coupl(nGC_2004) = ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
      coupl(nGC_2005) = -ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
      coupl(nGC_2006) = ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0*cw**2d0*sw)
      coupl(nGC_2007) = ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw*sw)
      coupl(nGC_2008) = -ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0*cw*sw**2d0)
      coupl(nGC_310) = ca*cb**2d0*cima*ee**2d0*vev1/(4d0*sw**2d0) - ca*cb**2d0*&
                       cima*l1*vev1 + ca*cb**2d0*cima*ee**2d0*vev1/(4d0*cw**2d0&
                       ) + ca*cb*cima*ee**2d0*sb*vev2/(4d0*sw**2d0) - 2d0*ca*cb&
                       *cima*l5*sb*vev2 + ca*cb*cima*ee**2d0*sb*vev2/(4d0*cw** &
                       2d0) - ca*cima*l3*sb**2d0*vev1 - ca*cima*l4*sb**2d0*vev1&
                        + ca*cima*l5*sb**2d0*vev1 - cb**2d0*cima*l3*sa*vev2 -  &
                       cb**2d0*cima*l4*sa*vev2 + cb**2d0*cima*l5*sa*vev2 + cb* &
                       cima*ee**2d0*sa*sb*vev1/(4d0*sw**2d0) - 2d0*cb*cima*l5* &
                       sa*sb*vev1 + cb*cima*ee**2d0*sa*sb*vev1/(4d0*cw**2d0) + &
                       cima*ee**2d0*sa*sb**2d0*vev2/(4d0*sw**2d0) - cima*l2*sa*&
                       sb**2d0*vev2 + cima*ee**2d0*sa*sb**2d0*vev2/(4d0*cw**2d0&
                       )
      coupl(nGC_2228) = ca*cima*sa*sb**2d0
      coupl(nGC_2229) = ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_2220) = cima*sa*sb**2d0*vev1
      coupl(nGC_315) = -cb**3d0*ee**2d0*vev1/(4d0*sw**2d0) + cb**3d0*ee**2d0*  &
                       vev1/(4d0*cw**2d0) - cb**2d0*ee**2d0*sb*vev2/(4d0*sw**  &
                       2d0) + cb**2d0*ee**2d0*sb*vev2/(4d0*cw**2d0) - cb*ee**  &
                       2d0*sb**2d0*vev1/(4d0*sw**2d0) + cb*ee**2d0*sb**2d0*vev1&
                       /(4d0*cw**2d0) - ee**2d0*sb**3d0*vev2/(4d0*sw**2d0) + ee&
                       **2d0*sb**3d0*vev2/(4d0*cw**2d0)
      coupl(nGC_2222) = -cima*(ca*sb**2d0*vev2 - cb**2d0*sa*vev1)
      coupl(nGC_2223) = cima*(ca*cb**2d0*l3*vev1 + ca*cb**2d0*l4*vev1 - ca*cb**&
                        2d0*l5*vev1 - 2d0*ca*cb*l5*sb*vev2 + ca*l1*sb**2d0*vev1&
                         + cb**2d0*l2*sa*vev2 - 2d0*cb*l5*sa*sb*vev1 + l3*sa*sb&
                        **2d0*vev2 + l4*sa*sb**2d0*vev2 - l5*sa*sb**2d0*vev2)
      coupl(nGC_2224) = cima*(2d0*ca*cb*sb*vev1 + ca*sb**2d0*vev2 - cb**2d0*sa*&
                        vev1 - 2d0*cb*sa*sb*vev2)
      coupl(nGC_2225) = 2d0*cima*(ca**2d0*cb**2d0*l5 - ca**2d0*l5*sb**2d0 + ca*&
                        cb*l1*sa*sb + ca*cb*l2*sa*sb - 2d0*ca*cb*l3*sa*sb - 2d0&
                        *ca*cb*l4*sa*sb + 2d0*ca*cb*l5*sa*sb - cb**2d0*l5*sa** &
                        2d0 + l5*sa**2d0*sb**2d0)
      coupl(nGC_2226) = ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_316) = -cb**3d0*ee**2d0*vev1/(4d0*sw**2d0) + cb**3d0*l4*vev1/  &
                       2d0 - cb**3d0*l5*vev1/2d0 - cb**2d0*ee**2d0*sb*vev2/(4d0&
                       *sw**2d0) + cb**2d0*l4*sb*vev2/2d0 - cb**2d0*l5*sb*vev2/&
                       2d0 - cb*ee**2d0*sb**2d0*vev1/(4d0*sw**2d0) + cb*l4*sb**&
                       2d0*vev1/2d0 - cb*l5*sb**2d0*vev1/2d0 - ee**2d0*sb**3d0*&
                       vev2/(4d0*sw**2d0) + l4*sb**3d0*vev2/2d0 - l5*sb**3d0*  &
                       vev2/2d0
      coupl(nGC_318) = cb**3d0*ee**2d0*vev1/(4d0*sw**2d0) - cb**3d0*ee**2d0*   &
                       vev1/(4d0*cw**2d0) + cb**2d0*ee**2d0*sb*vev2/(4d0*sw**  &
                       2d0) - cb**2d0*ee**2d0*sb*vev2/(4d0*cw**2d0) + cb*ee**  &
                       2d0*sb**2d0*vev1/(4d0*sw**2d0) - cb*ee**2d0*sb**2d0*vev1&
                       /(4d0*cw**2d0) + ee**2d0*sb**3d0*vev2/(4d0*sw**2d0) - ee&
                       **2d0*sb**3d0*vev2/(4d0*cw**2d0)
      coupl(nGC_328) = -ca*cima*cw**2d0*ee**2d0*vev2/(2d0*sw**2d0) - ca*cima*ee&
                       **2d0*vev2 - ca*cima*ee**2d0*sw**2d0*vev2/(2d0*cw**2d0  &
                       ) + cima*cw**2d0*ee**2d0*sa*vev1/(2d0*sw**2d0) + cima*ee&
                       **2d0*sa*vev1 + cima*ee**2d0*sa*sw**2d0*vev1/(2d0*cw**  &
                       2d0)
      coupl(nGC_329) = ca*cima*cw**2d0*ee**2d0*vev2/(2d0*sw**2d0) + ca*cima*ee &
                       **2d0*vev2 + ca*cima*ee**2d0*sw**2d0*vev2/(2d0*cw**2d0  &
                       ) - cima*cw**2d0*ee**2d0*sa*vev1/(2d0*sw**2d0) - cima*ee&
                       **2d0*sa*vev1 - cima*ee**2d0*sa*sw**2d0*vev1/(2d0*cw**  &
                       2d0)
      coupl(nGC_324) = -cb*cima*ee**2d0*vev1/(2d0*sw) - cima*ee**2d0*sb*vev2/( &
                       2d0*sw)
      coupl(nGC_325) = cb*cima*ee**2d0*vev1/(2d0*sw) + cima*ee**2d0*sb*vev2/(  &
                       2d0*sw)
      coupl(nGC_326) = -cb*cima*ee**2d0*vev1/sw - cima*ee**2d0*sb*vev2/sw
      coupl(nGC_327) = -ca*cima*cw**2d0*ee**2d0*vev2/(4d0*sw**2d0) - ca*cima*ee&
                       **2d0*vev2/2d0 - ca*cima*ee**2d0*sw**2d0*vev2/(4d0*cw** &
                       2d0) + cima*cw**2d0*ee**2d0*sa*vev1/(4d0*sw**2d0) + cima&
                       *ee**2d0*sa*vev1/2d0 + cima*ee**2d0*sa*sw**2d0*vev1/(4d0&
                       *cw**2d0)
      coupl(nGC_320) = cb**3d0*ee**2d0*vev1/(4d0*sw**2d0) - cb**3d0*l4*vev1/2d0&
                        + cb**3d0*l5*vev1/2d0 + cb**2d0*ee**2d0*sb*vev2/(4d0*sw&
                       **2d0) - cb**2d0*l4*sb*vev2/2d0 + cb**2d0*l5*sb*vev2/2d0&
                        + cb*ee**2d0*sb**2d0*vev1/(4d0*sw**2d0) - cb*l4*sb**2d0&
                       *vev1/2d0 + cb*l5*sb**2d0*vev1/2d0 + ee**2d0*sb**3d0*   &
                       vev2/(4d0*sw**2d0) - l4*sb**3d0*vev2/2d0 + l5*sb**3d0*  &
                       vev2/2d0
      coupl(nGC_321) = -cb*cima*ee**2d0*vev2/(2d0*sw) + cima*ee**2d0*sb*vev1/( &
                       2d0*sw)
      coupl(nGC_MTA) = -cMTA*cima
      coupl(nGC_188) = cb**2d0*ee**2d0/sw + ee**2d0*sb**2d0/sw
      coupl(nGC_189) = -cima*ee**2d0/sw**2d0
      coupl(nGC_180) = -ca*cb*cima*ee**2d0/(2d0*sw) - cima*ee**2d0*sa*sb/(2d0* &
                       sw)
      coupl(nGC_182) = -ca*cb*cima*ee**2d0/sw - cima*ee**2d0*sa*sb/sw
      coupl(nGC_183) = -cb**2d0*ee/(2d0*sw) - ee*sb**2d0/(2d0*sw)
      coupl(nGC_184) = cb**2d0*ee/(2d0*sw) + ee*sb**2d0/(2d0*sw)
      coupl(nGC_185) = -cb**2d0*ee**2d0/sw - ee**2d0*sb**2d0/sw
      coupl(nGC_186) = -cb**2d0*ee**2d0/(2d0*sw) - ee**2d0*sb**2d0/(2d0*sw)
      coupl(nGC_1610) = (cb**2d0 + sb**2d0)*(l4 - l5)*(cb*vev2 - sb*vev1)/2d0
      coupl(nGC_611) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*( &
                       ca*vev2 - sa*vev1)/(cw**2d0*sw**3d0)
      coupl(nGC_615) = cima*gs
      coupl(nGC_2247) = -cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev2 - sa*  &
                        vev1)/(2d0*cw**2d0*sw**2d0)
      coupl(nGC_2244) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*(&
                        ca*vev1 + sa*vev2)/(cw**3d0*sw**2d0)
      coupl(nGC_1856) = cb*cima
      coupl(nGC_1857) = cima*sb
      coupl(nGC_1855) = cima*(cb*yup2 - sb*yup1)
      coupl(nGC_2246) = -cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*&
                        sw**2d0)
      coupl(nGC_2245) = -ca*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*&
                        sw**2d0)
      coupl(nGC_1928) = cb*cima
      coupl(nGC_1926) = -cima*(cb*yc1 + sb*yc2)
      coupl(nGC_1927) = -cima*sb
      coupl(nGC_1920) = -2d0*cima*ee/(3d0*cw)
      coupl(nGC_1580) = -sqrt(2d0)*cima*(ca*yup2 - sa*yup1)/2d0
      coupl(nGC_1581) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1586) = -cima*(cb*ys2 - sb*yd12x2)
      coupl(nGC_1587) = -cb*cima
      coupl(nGC_1588) = -cima*sb
      coupl(nGC_1589) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(ca*sb - cb*sa)/2d0
      coupl(nGC_246) = -ca*cb**2d0*cima*l2*vev2 + 2d0*ca*cb*cima*l5*sb*vev1 -  &
                       ca*cima*l3*sb**2d0*vev2 - ca*cima*l4*sb**2d0*vev2 + ca* &
                       cima*l5*sb**2d0*vev2 + cb**2d0*cima*l3*sa*vev1 + cb**2d0&
                       *cima*l4*sa*vev1 - cb**2d0*cima*l5*sa*vev1 - 2d0*cb*cima&
                       *l5*sa*sb*vev2 + cima*l1*sa*sb**2d0*vev1
      coupl(nGC_MMW_GF) = -cMW*cima
      coupl(nGC_1325) = -cima*(ca*cb**2d0*l2*vev2 - ca*cb**2d0*l3*vev2 - ca*cb &
                        **2d0*l4*vev2 + ca*cb**2d0*l5*vev2 - 4d0*ca*cb*l5*sb*  &
                        vev1 - ca*l2*sb**2d0*vev2 + ca*l3*sb**2d0*vev2 + ca*l4*&
                        sb**2d0*vev2 - ca*l5*sb**2d0*vev2 + cb**2d0*l1*sa*vev1 &
                         - cb**2d0*l3*sa*vev1 - cb**2d0*l4*sa*vev1 + cb**2d0*l5&
                        *sa*vev1 + 4d0*cb*l5*sa*sb*vev2 - l1*sa*sb**2d0*vev1 + &
                        l3*sa*sb**2d0*vev1 + l4*sa*sb**2d0*vev1 - l5*sa*sb**2d0&
                        *vev1)
      coupl(nGC_1326) = -cima*(ca*cb*l2*sb - ca*cb*l3*sb - ca*cb*l4*sb + ca*cb*&
                        l5*sb - cb**2d0*l5*sa + l5*sa*sb**2d0)
      coupl(nGC_1327) = -cima*(ca*cb**2d0*l5 - ca*l5*sb**2d0 + cb*l1*sa*sb - cb&
                        *l3*sa*sb - cb*l4*sa*sb + cb*l5*sa*sb)
      coupl(nGC_1320) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*(&
                        cw**2d0 + sw**2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_1321) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*( &
                        cw**2d0 + sw**2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_1328) = -ca*cb*cima*sb*vev2
      coupl(nGC_1329) = -cb*cima*sa*sb*vev1
      coupl(nGC_243) = -ca*cb**2d0*cima*l2*vev2 + ca*cb*cima*l4*sb*vev1 + ca*cb&
                       *cima*l5*sb*vev1 - ca*cima*l3*sb**2d0*vev2 + cb**2d0*   &
                       cima*l3*sa*vev1 - cb*cima*l4*sa*sb*vev2 - cb*cima*l5*sa*&
                       sb*vev2 + cima*l1*sa*sb**2d0*vev1
      coupl(nGC_2109) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_2108) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_2101) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_2100) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_2102) = sqrt(2d0)*cima*(ca*ytau1 + sa*ytau2)/2d0
      coupl(nGC_28) = -2d0*cb**2d0*cima*ee**2d0 - 2d0*cima*ee**2d0*sb**2d0
      coupl(nGC_29) = 2d0*cb**2d0*cima*ee**2d0 + 2d0*cima*ee**2d0*sb**2d0
      coupl(nGC_22) = ca*cima*ee**2d0*sb/(2d0*cw) - cb*cima*ee**2d0*sa/(2d0*cw)
      coupl(nGC_23) = -ca*cb*cima*ee**2d0/(2d0*cw) - cima*ee**2d0*sa*sb/(2d0*cw)
      coupl(nGC_20) = -ca**4d0*cima*l3 - ca**4d0*cima*l4 - ca**4d0*cima*l5 -   &
                      3d0*ca**2d0*cima*l1*sa**2d0 - 3d0*ca**2d0*cima*l2*sa**2d0&
                       + 4d0*ca**2d0*cima*l3*sa**2d0 + 4d0*ca**2d0*cima*l4*sa**&
                      2d0 + 4d0*ca**2d0*cima*l5*sa**2d0 - cima*l3*sa**4d0 -    &
                      cima*l4*sa**4d0 - cima*l5*sa**4d0
      coupl(nGC_21) = -ca*cima*ee**2d0*sb/(2d0*cw) + cb*cima*ee**2d0*sa/(2d0*cw)
      coupl(nGC_26) = cb**2d0*cima*ee + cima*ee*sb**2d0
      coupl(nGC_27) = -cb**2d0*cima*ee**2d0 - cima*ee**2d0*sb**2d0
      coupl(nGC_24) = ca*cb*cima*ee**2d0/(2d0*cw) + cima*ee**2d0*sa*sb/(2d0*cw)
      coupl(nGC_25) = -cb**2d0*cima*ee - cima*ee*sb**2d0
      coupl(nGC_2035) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw**2d0)
      coupl(nGC_2034) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_2036) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_2031) = cima*ee*(ca*sb - cb*sa)/(2d0*sw**2d0)
      coupl(nGC_2030) = cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_2033) = -cima*ee**2d0*(ca*sb - cb*sa)/sw
      coupl(nGC_2032) = -cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_2216) = 2d0*cima*(ca*cb**2d0*l5*vev1 + ca*cb*l2*sb*vev2 - ca*cb&
                        *l3*sb*vev2 - ca*cb*l4*sb*vev2 + ca*cb*l5*sb*vev2 - ca*&
                        l5*sb**2d0*vev1 - cb**2d0*l5*sa*vev2 + cb*l1*sa*sb*vev1&
                         - cb*l3*sa*sb*vev1 - cb*l4*sa*sb*vev1 + cb*l5*sa*sb*  &
                        vev1 + l5*sa*sb**2d0*vev2)
      coupl(nGC_2386) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_2361) = cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*cw**2d0)
      coupl(nGC_2360) = -cb*cima*ee**2d0/(2d0*cw)
      coupl(nGC_2363) = -cima*ee**2d0*sb/(2d0*cw)
      coupl(nGC_2362) = -cima*ee**2d0*(cb*vev1 + sb*vev2)/cw
      coupl(nGC_2365) = -3d0*ca**3d0*cima*sa
      coupl(nGC_2364) = 3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_2367) = 3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_2366) = 3d0*ca*cima*sa**3d0
      coupl(nGC_2369) = 3d0*cima*(-ca**4d0*l2 + ca**4d0*l3 + ca**4d0*l4 + ca** &
                        4d0*l5 + 3d0*ca**2d0*l1*sa**2d0 + 3d0*ca**2d0*l2*sa**  &
                        2d0 - 6d0*ca**2d0*l3*sa**2d0 - 6d0*ca**2d0*l4*sa**2d0  &
                         - 6d0*ca**2d0*l5*sa**2d0 - l1*sa**4d0 + l3*sa**4d0 +  &
                        l4*sa**4d0 + l5*sa**4d0)
      coupl(nGC_2368) = 3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_339) = -sqrt(2d0)*ca*cima*yd13x3/2d0 - sqrt(2d0)*cima*sa*yb2/2d0
      coupl(nGC_338) = sqrt(2d0)*cb*yc1/2d0 + sqrt(2d0)*sb*yc2/2d0
      coupl(nGC_333) = -sqrt(2d0)*ca*cima*yc2/2d0 + sqrt(2d0)*cima*sa*yc1/2d0
      coupl(nGC_332) = ca*cima*cw**2d0*ee**2d0*vev1/(2d0*sw**2d0) + ca*cima*ee &
                       **2d0*vev1 + ca*cima*ee**2d0*sw**2d0*vev1/(2d0*cw**2d0  &
                       ) + cima*cw**2d0*ee**2d0*sa*vev2/(2d0*sw**2d0) + cima*ee&
                       **2d0*sa*vev2 + cima*ee**2d0*sa*sw**2d0*vev2/(2d0*cw**  &
                       2d0)
      coupl(nGC_337) = cb*cima*yc1 + cima*sb*yc2
      coupl(nGC_336) = -sqrt(2d0)*ca*cima*yc1/2d0 - sqrt(2d0)*cima*sa*yc2/2d0
      coupl(nGC_334) = cb*cima*yc2 - cima*sb*yc1
      coupl(nGC_187) = cb**2d0*ee**2d0/(2d0*sw) + ee**2d0*sb**2d0/(2d0*sw)
      coupl(nGC_197) = sqrt(2d0)*cima*ee/(2d0*sw)
      coupl(nGC_196) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_195) = -2d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_194) = cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_193) = -cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_192) = 2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_191) = -2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_190) = cima*ee**2d0/sw**2d0
      coupl(nGC_199) = cima*cw*ee/sw
      coupl(nGC_198) = -cima*cw*ee/sw
      coupl(nGC_249) = -ca*cb**2d0*cima*l1*vev1 - ca*cb*cima*l4*sb*vev2 - ca*cb&
                       *cima*l5*sb*vev2 - ca*cima*l3*sb**2d0*vev1 - cb**2d0*   &
                       cima*l3*sa*vev2 - cb*cima*l4*sa*sb*vev1 - cb*cima*l5*sa*&
                       sb*vev1 - cima*l2*sa*sb**2d0*vev2
      coupl(nGC_248) = -cb**3d0*l4*vev2/2d0 + cb**3d0*l5*vev2/2d0 + cb**2d0*l4*&
                       sb*vev1/2d0 - cb**2d0*l5*sb*vev1/2d0 - cb*l4*sb**2d0*   &
                       vev2/2d0 + cb*l5*sb**2d0*vev2/2d0 + l4*sb**3d0*vev1/2d0 &
                        - l5*sb**3d0*vev1/2d0
      coupl(nGC_1629) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1628) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_609) = ca*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw&
                       **2d0)
      coupl(nGC_1625) = -2d0*cima*sb**4d0
      coupl(nGC_1624) = -2d0*cb**4d0*cima
      coupl(nGC_1627) = -4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1626) = -4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_603) = -cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0* &
                       sw**2d0)
      coupl(nGC_1623) = -4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1622) = -8d0*cb*cima*sb*(-cb**2d0*l2 + cb**2d0*l3 + cb**2d0*l4 &
                         + cb**2d0*l5 + l1*sb**2d0 - l3*sb**2d0 - l4*sb**2d0 - &
                        l5*sb**2d0)
      coupl(nGC_1823) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*sw)
      coupl(nGC_2057) = -cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_1821) = -cima*ee**2d0*(cb*vev1 + sb*vev2)/sw
      coupl(nGC_1820) = -cima*ee**2d0*sb/(2d0*sw)
      coupl(nGC_517) = -cb**2d0*cima*sa*vev2
      coupl(nGC_515) = cima*(-ca*cb**2d0*l2*vev2 + ca*cb*l4*sb*vev1 + ca*cb*l5*&
                       sb*vev1 - ca*l3*sb**2d0*vev2 + cb**2d0*l3*sa*vev1 - cb* &
                       l4*sa*sb*vev2 - cb*l5*sa*sb*vev2 + l1*sa*sb**2d0*vev1)
      coupl(nGC_2056) = -cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_519) = -ca*cima*sb**2d0*vev1
      coupl(nGC_2055) = ca*cb**2d0*cima*sa
      coupl(nGC_1489) = -(cb**2d0 + sb**2d0)*(ca*sb - cb*sa)/2d0
      coupl(nGC_1488) = (cb**2d0 + sb**2d0)*(ca*sb - cb*sa)/2d0
      coupl(nGC_1959) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_2054) = -ca*cima*sa*sb**2d0
      coupl(nGC_1480) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(ca*cb + sa*sb)/2d0
      coupl(nGC_1956) = -cb*cima
      coupl(nGC_1955) = cima*sb
      coupl(nGC_1954) = cima*(cb*ydo1 + sb*ydo2)
      coupl(nGC_1139) = 4d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_1138) = 4d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_2051) = -cima*cw*ee/sw**2d0
      coupl(nGC_1131) = -2d0*gs
      coupl(nGC_1133) = -cb*cima
      coupl(nGC_1132) = -cima*(cb*yb2 - sb*yd13x3)
      coupl(nGC_1135) = -cima*sb
      coupl(nGC_1134) = -cima*sb
      coupl(nGC_1137) = -cb*cima
      coupl(nGC_1136) = -cima*(cb*ye2 - sb*ye1)
      coupl(nGC_1555) = 2d0*cima*ee**2d0
      coupl(nGC_1554) = -3d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_1553) = -3d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_1552) = 3d0*cb**3d0*cima*sb
      coupl(nGC_1551) = -3d0*cb*cima*sb**3d0
      coupl(nGC_1550) = -3d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_1311) = -cima*(ca**2d0*cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**  &
                        2d0*l4*sb**2d0 - ca**2d0*l5*sb**2d0 + 2d0*ca*cb*l1*sa* &
                        sb + 2d0*ca*cb*l2*sa*sb - 4d0*ca*cb*l3*sa*sb - cb**2d0*&
                        l4*sa**2d0 - cb**2d0*l5*sa**2d0 + l4*sa**2d0*sb**2d0 + &
                        l5*sa**2d0*sb**2d0)
      coupl(nGC_1310) = -ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_1313) = cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_1312) = cima*(-ca**2d0*cb**2d0*l2 + ca**2d0*cb**2d0*l3 + ca**  &
                        2d0*cb**2d0*l4 - ca**2d0*cb**2d0*l5 + ca**2d0*l2*sb**  &
                        2d0 - ca**2d0*l3*sb**2d0 - ca**2d0*l4*sb**2d0 + ca**2d0&
                        *l5*sb**2d0 - 8d0*ca*cb*l5*sa*sb + cb**2d0*l1*sa**2d0  &
                         - cb**2d0*l3*sa**2d0 - cb**2d0*l4*sa**2d0 + cb**2d0*l5&
                        *sa**2d0 - l1*sa**2d0*sb**2d0 + l3*sa**2d0*sb**2d0 + l4&
                        *sa**2d0*sb**2d0 - l5*sa**2d0*sb**2d0)
      coupl(nGC_1315) = cb*cima*sa**2d0*sb
      coupl(nGC_1314) = -ca**2d0*cb*cima*sb
      coupl(nGC_1317) = -cima*(ca**2d0*cb*sb - 2d0*ca*cb**2d0*sa + 2d0*ca*sa*sb&
                        **2d0 - cb*sa**2d0*sb)
      coupl(nGC_1316) = cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_1319) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)**2d0*(cw + &
                        sw)**2d0/(cw**2d0*sw**2d0)
      coupl(nGC_1318) = 2d0*cima*(ca**2d0*cb**2d0*l5 - ca**2d0*l5*sb**2d0 + ca*&
                        cb*l1*sa*sb + ca*cb*l2*sa*sb - 2d0*ca*cb*l3*sa*sb - 2d0&
                        *ca*cb*l4*sa*sb + 2d0*ca*cb*l5*sa*sb - cb**2d0*l5*sa** &
                        2d0 + l5*sa**2d0*sb**2d0)
      coupl(nGC_1688) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_17) = 3d0*ca**3d0*cima*l1*sa - 3d0*ca**3d0*cima*l3*sa - 3d0*ca &
                      **3d0*cima*l4*sa - 3d0*ca**3d0*cima*l5*sa - 3d0*ca*cima* &
                      l2*sa**3d0 + 3d0*ca*cima*l3*sa**3d0 + 3d0*ca*cima*l4*sa**&
                      3d0 + 3d0*ca*cima*l5*sa**3d0
      coupl(nGC_16) = -3d0*ca**3d0*cima*l2*sa + 3d0*ca**3d0*cima*l3*sa + 3d0*ca&
                      **3d0*cima*l4*sa + 3d0*ca**3d0*cima*l5*sa + 3d0*ca*cima* &
                      l1*sa**3d0 - 3d0*ca*cima*l3*sa**3d0 - 3d0*ca*cima*l4*sa**&
                      3d0 - 3d0*ca*cima*l5*sa**3d0
      coupl(nGC_15) = cima*gs**2d0
      coupl(nGC_14) = -cima*gs**2d0
      coupl(nGC_13) = cima*gs
      coupl(nGC_12) = -gs
      coupl(nGC_11) = -2d0*gs
      coupl(nGC_10) = 2d0*cima*ee**2d0
      coupl(nGC_19) = -3d0*ca**4d0*cima*l1 - 6d0*ca**2d0*cima*l3*sa**2d0 - 6d0*&
                      ca**2d0*cima*l4*sa**2d0 - 6d0*ca**2d0*cima*l5*sa**2d0 -  &
                      3d0*cima*l2*sa**4d0
      coupl(nGC_18) = -3d0*ca**4d0*cima*l2 - 6d0*ca**2d0*cima*l3*sa**2d0 - 6d0*&
                      ca**2d0*cima*l4*sa**2d0 - 6d0*ca**2d0*cima*l5*sa**2d0 -  &
                      3d0*cima*l1*sa**4d0
      coupl(nGC_1504) = cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_1168) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw**2d0)
      coupl(nGC_2028) = cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_2029) = -cima*ee*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_2022) = -cima*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_2023) = ca*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_2020) = -cima*ee**2d0*(ca*vev2 - sa*vev1)/sw**3d0
      coupl(nGC_2021) = -cima*ee**2d0*(ca*vev1 + sa*vev2)/(2d0*sw**2d0)
      coupl(nGC_2026) = -cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_2027) = -cima*ee*(ca*sb - cb*sa)/(2d0*sw**2d0)
      coupl(nGC_2024) = cima*ee**2d0*(ca*vev2 - sa*vev1)/sw**2d0
      coupl(nGC_2025) = cima*ee*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_2202) = 2d0*cima*ee**2d0/sw**3d0
      coupl(nGC_2203) = -sqrt(2d0)*(cb*yc1 + sb*yc2)/2d0
      coupl(nGC_2205) = sqrt(2d0)*cb/2d0
      coupl(nGC_2110) = -sqrt(2d0)*cima*(ca*yb2 - sa*yd13x3)/2d0
      coupl(nGC_2201) = -2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_2376) = -ee**2d0*(cb**2d0 + sb**2d0)/sw
      coupl(nGC_2377) = ee**2d0*(cb**2d0 + sb**2d0)/(2d0*sw**2d0)
      coupl(nGC_2207) = cima*sb
      coupl(nGC_2204) = -sqrt(2d0)*sb/2d0
      coupl(nGC_2208) = -cb*cima
      coupl(nGC_1989) = cb**2d0*cima*sa*vev1
      coupl(nGC_2209) = -4d0*cima*ee**2d0/sw**2d0
      coupl(nGC_1987) = cima*(-2d0*ca*cb*l5*sb + cb**2d0*l1*sa + l3*sa*sb**2d0 &
                         + l4*sa*sb**2d0 - l5*sa*sb**2d0)
      coupl(nGC_525) = -cima*(ca*cb**2d0*l3 + ca*l1*sb**2d0 - cb*l4*sa*sb - cb*&
                       l5*sa*sb)
      coupl(nGC_294) = -ca*cb**2d0*cima*l5*vev2 - ca*cb*cima*ee**2d0*sb*vev1/( &
                       4d0*sw**2d0) + ca*cb*cima*l1*sb*vev1 - ca*cb*cima*l3*sb*&
                       vev1 - ca*cb*cima*l4*sb*vev1 + ca*cb*cima*l5*sb*vev1 -  &
                       ca*cb*cima*ee**2d0*sb*vev1/(4d0*cw**2d0) - ca*cima*ee** &
                       2d0*sb**2d0*vev2/(4d0*sw**2d0) + ca*cima*l5*sb**2d0*vev2&
                        - ca*cima*ee**2d0*sb**2d0*vev2/(4d0*cw**2d0) + cb**2d0*&
                       cima*ee**2d0*sa*vev1/(4d0*sw**2d0) - cb**2d0*cima*l5*sa*&
                       vev1 + cb**2d0*cima*ee**2d0*sa*vev1/(4d0*cw**2d0) + cb* &
                       cima*ee**2d0*sa*sb*vev2/(4d0*sw**2d0) - cb*cima*l2*sa*sb&
                       *vev2 + cb*cima*l3*sa*sb*vev2 + cb*cima*l4*sa*sb*vev2 - &
                       cb*cima*l5*sa*sb*vev2 + cb*cima*ee**2d0*sa*sb*vev2/(4d0*&
                       cw**2d0) + cima*l5*sa*sb**2d0*vev1
      coupl(nGC_295) = -ca*cb**2d0*cima*l3*vev2 + ca*cb*cima*ee**2d0*sb*vev1/( &
                       4d0*sw**2d0) - ca*cb*cima*l4*sb*vev1 - ca*cb*cima*l5*sb*&
                       vev1 + ca*cima*ee**2d0*sb**2d0*vev2/(4d0*sw**2d0) - ca* &
                       cima*l2*sb**2d0*vev2 - cb**2d0*cima*ee**2d0*sa*vev1/(4d0&
                       *sw**2d0) + cb**2d0*cima*l1*sa*vev1 - cb*cima*ee**2d0*sa&
                       *sb*vev2/(4d0*sw**2d0) + cb*cima*l4*sa*sb*vev2 + cb*cima&
                       *l5*sa*sb*vev2 + cima*l3*sa*sb**2d0*vev1
      coupl(nGC_296) = -ca*cb**2d0*cima*l3*vev2 - ca*cb**2d0*cima*l4*vev2 + ca*&
                       cb**2d0*cima*l5*vev2 + ca*cb*cima*ee**2d0*sb*vev1/(4d0* &
                       sw**2d0) - 2d0*ca*cb*cima*l5*sb*vev1 + ca*cb*cima*ee**  &
                       2d0*sb*vev1/(4d0*cw**2d0) + ca*cima*ee**2d0*sb**2d0*vev2&
                       /(4d0*sw**2d0) - ca*cima*l2*sb**2d0*vev2 + ca*cima*ee** &
                       2d0*sb**2d0*vev2/(4d0*cw**2d0) - cb**2d0*cima*ee**2d0*sa&
                       *vev1/(4d0*sw**2d0) + cb**2d0*cima*l1*sa*vev1 - cb**2d0*&
                       cima*ee**2d0*sa*vev1/(4d0*cw**2d0) - cb*cima*ee**2d0*sa*&
                       sb*vev2/(4d0*sw**2d0) + 2d0*cb*cima*l5*sa*sb*vev2 - cb* &
                       cima*ee**2d0*sa*sb*vev2/(4d0*cw**2d0) + cima*l3*sa*sb** &
                       2d0*vev1 + cima*l4*sa*sb**2d0*vev1 - cima*l5*sa*sb**2d0*&
                       vev1
      coupl(nGC_297) = -ca*cb**2d0*cima*ee**2d0*vev2/(4d0*sw**2d0) - ca*cb**2d0&
                       *cima*l4*vev2/2d0 - ca*cb**2d0*cima*l5*vev2/2d0 + ca*cb*&
                       cima*ee**2d0*sb*vev1/(2d0*sw**2d0) + ca*cb*cima*l1*sb*  &
                       vev1 - ca*cb*cima*l3*sb*vev1 + ca*cima*ee**2d0*sb**2d0* &
                       vev2/(4d0*sw**2d0) + ca*cima*l4*sb**2d0*vev2/2d0 + ca*  &
                       cima*l5*sb**2d0*vev2/2d0 - cb**2d0*cima*ee**2d0*sa*vev1 &
                       /(4d0*sw**2d0) - cb**2d0*cima*l4*sa*vev1/2d0 - cb**2d0* &
                       cima*l5*sa*vev1/2d0 - cb*cima*ee**2d0*sa*sb*vev2/(2d0*sw&
                       **2d0) - cb*cima*l2*sa*sb*vev2 + cb*cima*l3*sa*sb*vev2  &
                        + cima*ee**2d0*sa*sb**2d0*vev1/(4d0*sw**2d0) + cima*l4*&
                       sa*sb**2d0*vev1/2d0 + cima*l5*sa*sb**2d0*vev1/2d0
      coupl(nGC_290) = ca*cb**2d0*cima*ee**2d0*vev2/(4d0*sw**2d0) - ca*cb**2d0*&
                       cima*l2*vev2 + ca*cb**2d0*cima*ee**2d0*vev2/(4d0*cw**2d0&
                       ) - ca*cb*cima*ee**2d0*sb*vev1/(4d0*sw**2d0) + 2d0*ca*cb&
                       *cima*l5*sb*vev1 - ca*cb*cima*ee**2d0*sb*vev1/(4d0*cw** &
                       2d0) - ca*cima*l3*sb**2d0*vev2 - ca*cima*l4*sb**2d0*vev2&
                        + ca*cima*l5*sb**2d0*vev2 + cb**2d0*cima*l3*sa*vev1 +  &
                       cb**2d0*cima*l4*sa*vev1 - cb**2d0*cima*l5*sa*vev1 + cb* &
                       cima*ee**2d0*sa*sb*vev2/(4d0*sw**2d0) - 2d0*cb*cima*l5* &
                       sa*sb*vev2 + cb*cima*ee**2d0*sa*sb*vev2/(4d0*cw**2d0) - &
                       cima*ee**2d0*sa*sb**2d0*vev1/(4d0*sw**2d0) + cima*l1*sa*&
                       sb**2d0*vev1 - cima*ee**2d0*sa*sb**2d0*vev1/(4d0*cw**2d0&
                       )
      coupl(nGC_291) = -ca*cb**2d0*cima*ee**2d0*vev2/(2d0*sw**2d0) - ca*cb**2d0&
                       *cima*l2*vev2 + ca*cb*cima*ee**2d0*sb*vev1/(2d0*sw**2d0 &
                       ) + ca*cb*cima*l4*sb*vev1 + ca*cb*cima*l5*sb*vev1 - ca* &
                       cima*l3*sb**2d0*vev2 + cb**2d0*cima*l3*sa*vev1 - cb*cima&
                       *ee**2d0*sa*sb*vev2/(2d0*sw**2d0) - cb*cima*l4*sa*sb*   &
                       vev2 - cb*cima*l5*sa*sb*vev2 + cima*ee**2d0*sa*sb**2d0* &
                       vev1/(2d0*sw**2d0) + cima*l1*sa*sb**2d0*vev1
      coupl(nGC_292) = -ca*cb**2d0*cima*ee**2d0*vev2/(2d0*sw**2d0) - ca*cb**2d0&
                       *cima*l2*vev2 - ca*cb**2d0*cima*ee**2d0*vev2/(2d0*cw**  &
                       2d0) + ca*cb*cima*ee**2d0*sb*vev1/(2d0*sw**2d0) + 2d0*ca&
                       *cb*cima*l5*sb*vev1 + ca*cb*cima*ee**2d0*sb*vev1/(2d0*cw&
                       **2d0) - ca*cima*l3*sb**2d0*vev2 - ca*cima*l4*sb**2d0*  &
                       vev2 + ca*cima*l5*sb**2d0*vev2 + cb**2d0*cima*l3*sa*vev1&
                        + cb**2d0*cima*l4*sa*vev1 - cb**2d0*cima*l5*sa*vev1 -  &
                       cb*cima*ee**2d0*sa*sb*vev2/(2d0*sw**2d0) - 2d0*cb*cima* &
                       l5*sa*sb*vev2 - cb*cima*ee**2d0*sa*sb*vev2/(2d0*cw**2d0 &
                       ) + cima*ee**2d0*sa*sb**2d0*vev1/(2d0*sw**2d0) + cima*l1&
                       *sa*sb**2d0*vev1 + cima*ee**2d0*sa*sb**2d0*vev1/(2d0*cw &
                       **2d0)
      coupl(nGC_293) = -ca*cb**2d0*cima*l4*vev2/2d0 - ca*cb**2d0*cima*l5*vev2/ &
                       2d0 - ca*cb*cima*ee**2d0*sb*vev1/(4d0*sw**2d0) + ca*cb* &
                       cima*l1*sb*vev1 - ca*cb*cima*l3*sb*vev1 - ca*cima*ee**  &
                       2d0*sb**2d0*vev2/(4d0*sw**2d0) + ca*cima*l4*sb**2d0*vev2&
                       /2d0 + ca*cima*l5*sb**2d0*vev2/2d0 + cb**2d0*cima*ee**  &
                       2d0*sa*vev1/(4d0*sw**2d0) - cb**2d0*cima*l4*sa*vev1/2d0 &
                        - cb**2d0*cima*l5*sa*vev1/2d0 + cb*cima*ee**2d0*sa*sb* &
                       vev2/(4d0*sw**2d0) - cb*cima*l2*sa*sb*vev2 + cb*cima*l3*&
                       sa*sb*vev2 + cima*l4*sa*sb**2d0*vev1/2d0 + cima*l5*sa*sb&
                       **2d0*vev1/2d0
      coupl(nGC_298) = -ca*cb**2d0*cima*ee**2d0*vev2/(4d0*sw**2d0) - ca*cb**2d0&
                       *cima*l5*vev2 - ca*cb**2d0*cima*ee**2d0*vev2/(4d0*cw**  &
                       2d0) + ca*cb*cima*ee**2d0*sb*vev1/(2d0*sw**2d0) + ca*cb*&
                       cima*l1*sb*vev1 - ca*cb*cima*l3*sb*vev1 - ca*cb*cima*l4*&
                       sb*vev1 + ca*cb*cima*l5*sb*vev1 + ca*cb*cima*ee**2d0*sb*&
                       vev1/(2d0*cw**2d0) + ca*cima*ee**2d0*sb**2d0*vev2/(4d0* &
                       sw**2d0) + ca*cima*l5*sb**2d0*vev2 + ca*cima*ee**2d0*sb &
                       **2d0*vev2/(4d0*cw**2d0) - cb**2d0*cima*ee**2d0*sa*vev1 &
                       /(4d0*sw**2d0) - cb**2d0*cima*l5*sa*vev1 - cb**2d0*cima*&
                       ee**2d0*sa*vev1/(4d0*cw**2d0) - cb*cima*ee**2d0*sa*sb*  &
                       vev2/(2d0*sw**2d0) - cb*cima*l2*sa*sb*vev2 + cb*cima*l3*&
                       sa*sb*vev2 + cb*cima*l4*sa*sb*vev2 - cb*cima*l5*sa*sb*  &
                       vev2 - cb*cima*ee**2d0*sa*sb*vev2/(2d0*cw**2d0) + cima* &
                       ee**2d0*sa*sb**2d0*vev1/(4d0*sw**2d0) + cima*l5*sa*sb** &
                       2d0*vev1 + cima*ee**2d0*sa*sb**2d0*vev1/(4d0*cw**2d0)
      coupl(nGC_299) = -ca*cb**2d0*cima*l3*vev2 - ca*cb*cima*ee**2d0*sb*vev1/( &
                       2d0*sw**2d0) - ca*cb*cima*l4*sb*vev1 - ca*cb*cima*l5*sb*&
                       vev1 - ca*cima*ee**2d0*sb**2d0*vev2/(2d0*sw**2d0) - ca* &
                       cima*l2*sb**2d0*vev2 + cb**2d0*cima*ee**2d0*sa*vev1/(2d0&
                       *sw**2d0) + cb**2d0*cima*l1*sa*vev1 + cb*cima*ee**2d0*sa&
                       *sb*vev2/(2d0*sw**2d0) + cb*cima*l4*sa*sb*vev2 + cb*cima&
                       *l5*sa*sb*vev2 + cima*l3*sa*sb**2d0*vev1
      coupl(nGC_1638) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1639) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1632) = -cima*ee*sw/(3d0*cw**2d0)
      coupl(nGC_1633) = cima*ee/(3d0*cw)
      coupl(nGC_1630) = sqrt(2d0)*cima*(ca*yd13x3 + sa*yb2)/2d0
      coupl(nGC_1631) = cima*ee*sw/(3d0*cw)
      coupl(nGC_1636) = -3d0*cb**4d0*cima
      coupl(nGC_1637) = -3d0*cima*sb**4d0
      coupl(nGC_1634) = -12d0*cb*cima*sb*(-cb**2d0*l2 + cb**2d0*l3 + cb**2d0*l4&
                         + cb**2d0*l5 + l1*sb**2d0 - l3*sb**2d0 - l4*sb**2d0 - &
                        l5*sb**2d0)
      coupl(nGC_1635) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_273) = -cb*ee**2d0*vev1/(2d0*sw**2d0) - ee**2d0*sb*vev2/(2d0*sw&
                       **2d0)
      coupl(nGC_1834) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_1835) = 2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_1836) = -2d0*cima*cw**2d0*ee**2d0/sw**3d0
      coupl(nGC_1346) = -2d0*cima*ee/3d0
      coupl(nGC_1347) = -2d0*cima*(-ca**2d0*cb*l2*sb + ca**2d0*cb*l3*sb + ca*cb&
                        **2d0*l4*sa + ca*cb**2d0*l5*sa - ca*l4*sa*sb**2d0 - ca*&
                        l5*sa*sb**2d0 + cb*l1*sa**2d0*sb - cb*l3*sa**2d0*sb)
      coupl(nGC_1948) = cima*ee*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/(2d0*cw&
                        *sw**2d0)
      coupl(nGC_1940) = -ca*cima*sb**2d0*vev2
      coupl(nGC_1941) = cb**2d0*cima*sa*vev1
      coupl(nGC_1942) = -cb*cima*sb*(ca*vev1 - sa*vev2)
      coupl(nGC_1943) = -cima*(ca*cb**2d0*vev2 - sa*sb**2d0*vev1)
      coupl(nGC_1944) = cima*(ca*cb**2d0*l1*vev1 + ca*cb*l4*sb*vev2 + ca*cb*l5*&
                        sb*vev2 + ca*l3*sb**2d0*vev1 + cb**2d0*l3*sa*vev2 + cb*&
                        l4*sa*sb*vev1 + cb*l5*sa*sb*vev1 + l2*sa*sb**2d0*vev2)
      coupl(nGC_1945) = -cb*cima*sb*(ca*vev1 - sa*vev2)
      coupl(nGC_1946) = -cima*ee*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)/(2d0* &
                        cw*sw)
      coupl(nGC_1947) = -cima*ee*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/(2d0* &
                        cw**2d0*sw)
      coupl(nGC_1715) = -3d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1865) = -sqrt(2d0)*sb/2d0
      coupl(nGC_1864) = -sqrt(2d0)*cb/2d0
    end subroutine fill_couplings_mdl2
end module fill_couplings2
