!******************************************************************************!
!                                                                              !
!    ctparameter17.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter17.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-14 01:00             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter17
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter17()
  dZg_QCD2 = (-coupl(nGC_13)**2d0*sq2**2d0/3d0 + sq2**2d0*(Nc*Ten452*(coupl(   &
             nGC_11)**2d0 + 40d0*coupl(nGC_12)**2d0) + 48d0*Ten465*cMU_reg**2d0&
             *coupl(nGC_13)**2d0 + 48d0*Ten466*cMC_reg**2d0*coupl(nGC_13)**2d0 &
              + 48d0*Ten467*cMT**2d0*coupl(nGC_13)**2d0 + 48d0*Ten468*cMD_reg**&
             2d0*coupl(nGC_13)**2d0 + 48d0*Ten469*cMS_reg**2d0*coupl(nGC_13)** &
             2d0 + 48d0*Ten470*cMB_reg**2d0*coupl(nGC_13)**2d0 - 96d0*Ten471*  &
             coupl(nGC_13)**2d0 - 96d0*Ten472*coupl(nGC_13)**2d0 - 96d0*Ten473*&
             coupl(nGC_13)**2d0 - 96d0*Ten474*coupl(nGC_13)**2d0 - 96d0*Ten475*&
             coupl(nGC_13)**2d0 - 96d0*Ten476*coupl(nGC_13)**2d0 - 8d0*Ten477* &
             coupl(nGC_13)**2d0 - 8d0*Ten478*coupl(nGC_13)**2d0 - 8d0*Ten479*  &
             coupl(nGC_13)**2d0 - 8d0*Ten480*coupl(nGC_13)**2d0 - 8d0*Ten481*  &
             coupl(nGC_13)**2d0)/24d0)/(16d0*pi**2d0)
  dZg_QCD2 = cone*real(dZg_QCD2,kind=dp)
end subroutine set_ctparameter17
end module ctparameter17
