!******************************************************************************!
!                                                                              !
!    ctparameter180.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter180.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-14 01:00             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter180
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter180()
  if (db_QED2_scheme .eq. 3) then
    db_QED2 = ((-MPC**2d0*Nc*coupl(nGC_334)*coupl(nGC_337) - MPC**2d0*Nc*coupl(&
              nGC_340)*coupl(nGC_343) - MPC**2d0*Nc*coupl(nGC_346)*coupl(      &
              nGC_349) - MPC**2d0*Nc*coupl(nGC_364)*coupl(nGC_367) - MPC**2d0* &
              Nc*coupl(nGC_370)*coupl(nGC_373) - MPC**2d0*Nc*coupl(nGC_382)*   &
              coupl(nGC_385) - MPC**2d0*coupl(nGC_352)*coupl(nGC_355) - MPC**  &
              2d0*coupl(nGC_358)*coupl(nGC_361) - MPC**2d0*coupl(nGC_376)*coupl&
              (nGC_379) + 3d0*Nc*cMB**2d0*coupl(nGC_340)*coupl(nGC_343) + 3d0* &
              Nc*cMB**2d0*coupl(nGC_370)*coupl(nGC_373) + 3d0*Nc*cMC**2d0*coupl&
              (nGC_334)*coupl(nGC_337) + 3d0*Nc*cMC**2d0*coupl(nGC_364)*coupl( &
              nGC_367) + 3d0*Nc*cMD**2d0*coupl(nGC_346)*coupl(nGC_349) + 3d0*Nc&
              *cMD**2d0*coupl(nGC_382)*coupl(nGC_385) + 3d0*Nc*cMS**2d0*coupl( &
              nGC_334)*coupl(nGC_337) + 3d0*Nc*cMS**2d0*coupl(nGC_364)*coupl(  &
              nGC_367) + 3d0*Nc*cMT**2d0*coupl(nGC_340)*coupl(nGC_343) + 3d0*Nc&
              *cMT**2d0*coupl(nGC_370)*coupl(nGC_373) + 3d0*Nc*cMU**2d0*coupl( &
              nGC_346)*coupl(nGC_349) + 3d0*Nc*cMU**2d0*coupl(nGC_382)*coupl(  &
              nGC_385) + 3d0*cME**2d0*coupl(nGC_352)*coupl(nGC_355) + 3d0*cMM**&
              2d0*coupl(nGC_358)*coupl(nGC_361) + 3d0*cMTA**2d0*coupl(nGC_376)*&
              coupl(nGC_379) - 6d0*coupl(nGC_231)*coupl(nGC_237) - 6d0*coupl(  &
              nGC_321)*coupl(nGC_324))/(3d0*MHC**2d0) + (-4d0*MPC**2d0*Nc*     &
              Ten1083*(coupl(nGC_346)*coupl(nGC_349) + coupl(nGC_382)*coupl(   &
              nGC_385)) - 4d0*MPC**2d0*Nc*Ten1085*(coupl(nGC_346)*coupl(nGC_349&
              ) + coupl(nGC_382)*coupl(nGC_385)) - 4d0*MPC**2d0*Nc*Ten1086*(   &
              coupl(nGC_334)*coupl(nGC_337) + coupl(nGC_364)*coupl(nGC_367)) - &
              4d0*MPC**2d0*Nc*Ten1088*(coupl(nGC_334)*coupl(nGC_337) + coupl(  &
              nGC_364)*coupl(nGC_367)) - 4d0*MPC**2d0*Nc*Ten1089*(coupl(nGC_340&
              )*coupl(nGC_343) + coupl(nGC_370)*coupl(nGC_373)) - 4d0*MPC**2d0*&
              Nc*Ten1091*(coupl(nGC_340)*coupl(nGC_343) + coupl(nGC_370)*coupl(&
              nGC_373)) - 4d0*MPC**2d0*Ten1092*coupl(nGC_352)*coupl(nGC_355) - &
              4d0*MPC**2d0*Ten1093*coupl(nGC_358)*coupl(nGC_361) - 4d0*MPC**2d0&
              *Ten1094*coupl(nGC_376)*coupl(nGC_379) - 4d0*MPC**2d0*Ten1098*   &
              coupl(nGC_352)*coupl(nGC_355) - 4d0*MPC**2d0*Ten1099*coupl(      &
              nGC_358)*coupl(nGC_361) - 4d0*MPC**2d0*Ten1100*coupl(nGC_376)*   &
              coupl(nGC_379) - 4d0*Nc*Ten1080*cMD*cMU*(coupl(nGC_346)*coupl(   &
              nGC_385) + coupl(nGC_349)*coupl(nGC_382)) - 4d0*Nc*Ten1081*cMC*  &
              cMS*(coupl(nGC_334)*coupl(nGC_367) + coupl(nGC_337)*coupl(nGC_364&
              )) - 4d0*Nc*Ten1082*cMB*cMT*(coupl(nGC_340)*coupl(nGC_370) +     &
              coupl(nGC_343)*coupl(nGC_373)) - 16d0*Nc*Ten1084*(coupl(nGC_346)*&
              coupl(nGC_349) + coupl(nGC_382)*coupl(nGC_385)) - 16d0*Nc*Ten1087&
              *(coupl(nGC_334)*coupl(nGC_337) + coupl(nGC_364)*coupl(nGC_367   &
              )) - 16d0*Nc*Ten1090*(coupl(nGC_340)*coupl(nGC_343) + coupl(     &
              nGC_370)*coupl(nGC_373)) - cima*Ten0*coupl(nGC_129) - cima*Ten1* &
              coupl(nGC_55) + 2d0*Ten1072*(4d0*MPC**2d0*coupl(nGC_172)*coupl(  &
              nGC_179) + coupl(nGC_295)*coupl(nGC_311)) + 2d0*Ten1073*(4d0*MPC &
              **2d0*coupl(nGC_172)*coupl(nGC_178) + coupl(nGC_293)*coupl(      &
              nGC_309)) + 2d0*Ten1077*coupl(nGC_279)*coupl(nGC_287) + 2d0*     &
              Ten1078*coupl(nGC_277)*coupl(nGC_288) - 16d0*Ten1095*coupl(      &
              nGC_352)*coupl(nGC_355) - 16d0*Ten1096*coupl(nGC_358)*coupl(     &
              nGC_361) - 16d0*Ten1097*coupl(nGC_376)*coupl(nGC_379) - 2d0*cima*&
              Ten13*coupl(nGC_56) - cima*Ten14*coupl(nGC_54) - cima*Ten2*coupl(&
              nGC_134) - 2d0*cima*Ten3*coupl(nGC_57))/(2d0*MHC**2d0))/(16d0*pi &
              **2d0) - cima*(coupl(nGC_252)*dtHl_QED1/cMHL**2d0 + coupl(nGC_244&
              )*dtHh_QED1/cMHH**2d0)/MHC**2d0
    db_QED2 = cone*real(db_QED2,kind=dp)
  end if 
end subroutine set_ctparameter180
end module ctparameter180
