!******************************************************************************!
!                                                                              !
!    ctparameter200.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter200.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-14 01:00             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter200
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter200()
  if (da_QED2_scheme .eq. 5) then
    da_QED2 = ((2d0*MPS**2d0*Nc*coupl(nGC_333)*coupl(nGC_336) + 2d0*MPS**2d0*Nc&
              *coupl(nGC_339)*coupl(nGC_342) + 2d0*MPS**2d0*Nc*coupl(nGC_345)* &
              coupl(nGC_348) + 2d0*MPS**2d0*Nc*coupl(nGC_363)*coupl(nGC_366) + &
              2d0*MPS**2d0*Nc*coupl(nGC_369)*coupl(nGC_372) + 2d0*MPS**2d0*Nc* &
              coupl(nGC_381)*coupl(nGC_384) + 2d0*MPS**2d0*coupl(nGC_351)*coupl&
              (nGC_354) + 2d0*MPS**2d0*coupl(nGC_357)*coupl(nGC_360) + 2d0*MPS &
              **2d0*coupl(nGC_375)*coupl(nGC_378) - 12d0*Nc*cMB**2d0*coupl(    &
              nGC_339)*coupl(nGC_342) - 12d0*Nc*cMC**2d0*coupl(nGC_333)*coupl( &
              nGC_336) - 12d0*Nc*cMD**2d0*coupl(nGC_345)*coupl(nGC_348) - 12d0*&
              Nc*cMS**2d0*coupl(nGC_363)*coupl(nGC_366) - 12d0*Nc*cMT**2d0*    &
              coupl(nGC_369)*coupl(nGC_372) - 12d0*Nc*cMU**2d0*coupl(nGC_381)* &
              coupl(nGC_384) - 12d0*cME**2d0*coupl(nGC_351)*coupl(nGC_354) -   &
              12d0*cMM**2d0*coupl(nGC_357)*coupl(nGC_360) - 12d0*cMTA**2d0*    &
              coupl(nGC_375)*coupl(nGC_378) + 6d0*coupl(nGC_261)*coupl(nGC_272 &
              ) + 3d0*coupl(nGC_329)*coupl(nGC_332))/(3d0*(MHH**2d0 - MHL**2d0 &
              )) + (8d0*MPS**2d0*Nc*Ten1128*coupl(nGC_381)*coupl(nGC_384) + 8d0&
              *MPS**2d0*Nc*Ten1130*coupl(nGC_381)*coupl(nGC_384) + 8d0*MPS**2d0&
              *Nc*Ten1131*coupl(nGC_333)*coupl(nGC_336) + 8d0*MPS**2d0*Nc*     &
              Ten1133*coupl(nGC_333)*coupl(nGC_336) + 8d0*MPS**2d0*Nc*Ten1134* &
              coupl(nGC_369)*coupl(nGC_372) + 8d0*MPS**2d0*Nc*Ten1136*coupl(   &
              nGC_369)*coupl(nGC_372) + 8d0*MPS**2d0*Nc*Ten1137*coupl(nGC_345)*&
              coupl(nGC_348) + 8d0*MPS**2d0*Nc*Ten1139*coupl(nGC_345)*coupl(   &
              nGC_348) + 8d0*MPS**2d0*Nc*Ten1140*coupl(nGC_363)*coupl(nGC_366  &
              ) + 8d0*MPS**2d0*Nc*Ten1142*coupl(nGC_363)*coupl(nGC_366) + 8d0* &
              MPS**2d0*Nc*Ten1143*coupl(nGC_339)*coupl(nGC_342) + 8d0*MPS**2d0*&
              Nc*Ten1145*coupl(nGC_339)*coupl(nGC_342) + 8d0*MPS**2d0*Ten1119* &
              coupl(nGC_351)*coupl(nGC_354) + 8d0*MPS**2d0*Ten1121*coupl(      &
              nGC_351)*coupl(nGC_354) + 8d0*MPS**2d0*Ten1122*coupl(nGC_357)*   &
              coupl(nGC_360) + 8d0*MPS**2d0*Ten1124*coupl(nGC_357)*coupl(      &
              nGC_360) + 8d0*MPS**2d0*Ten1125*coupl(nGC_375)*coupl(nGC_378) +  &
              8d0*MPS**2d0*Ten1127*coupl(nGC_375)*coupl(nGC_378) + 8d0*Nc*     &
              Ten1110*cMU**2d0*coupl(nGC_381)*coupl(nGC_384) + 8d0*Nc*Ten1111* &
              cMC**2d0*coupl(nGC_333)*coupl(nGC_336) + 8d0*Nc*Ten1112*cMT**2d0*&
              coupl(nGC_369)*coupl(nGC_372) + 8d0*Nc*Ten1113*cMD**2d0*coupl(   &
              nGC_345)*coupl(nGC_348) + 8d0*Nc*Ten1114*cMS**2d0*coupl(nGC_363)*&
              coupl(nGC_366) + 8d0*Nc*Ten1115*cMB**2d0*coupl(nGC_339)*coupl(   &
              nGC_342) + 32d0*Nc*Ten1129*coupl(nGC_381)*coupl(nGC_384) + 32d0* &
              Nc*Ten1132*coupl(nGC_333)*coupl(nGC_336) + 32d0*Nc*Ten1135*coupl(&
              nGC_369)*coupl(nGC_372) + 32d0*Nc*Ten1138*coupl(nGC_345)*coupl(  &
              nGC_348) + 32d0*Nc*Ten1141*coupl(nGC_363)*coupl(nGC_366) + 32d0* &
              Nc*Ten1144*coupl(nGC_339)*coupl(nGC_342) + cima*Ten0*coupl(nGC_16&
              ) + cima*Ten1*coupl(nGC_130) + Ten1101*(-8d0*MPS**2d0*coupl(     &
              nGC_213)*coupl(nGC_215) - coupl(nGC_300)*coupl(nGC_314) + 2d0*   &
              coupl(nGC_328)*coupl(nGC_331) - 4d0*coupl(nGC_329)*coupl(nGC_332 &
              )) - 2d0*Ten1102*(4d0*MPS**2d0*coupl(nGC_214)*coupl(nGC_215) +   &
              coupl(nGC_298)*coupl(nGC_308)) - Ten1103*coupl(nGC_282)*coupl(   &
              nGC_292) + 2d0*Ten1104*(-4d0*MPS**2d0*coupl(nGC_172)*coupl(      &
              nGC_179) - 4d0*MPS**2d0*coupl(nGC_173)*coupl(nGC_178) + 2d0*coupl&
              (nGC_260)*coupl(nGC_271) - 4d0*coupl(nGC_261)*coupl(nGC_272) -   &
              coupl(nGC_299)*coupl(nGC_313)) - 4d0*Ten1105*(2d0*MPS**2d0*coupl(&
              nGC_172)*coupl(nGC_178) + 2d0*MPS**2d0*coupl(nGC_173)*coupl(     &
              nGC_179) + coupl(nGC_297)*coupl(nGC_307)) - 2d0*Ten1106*coupl(   &
              nGC_281)*coupl(nGC_291) + 8d0*Ten1107*cME**2d0*coupl(nGC_351)*   &
              coupl(nGC_354) + 8d0*Ten1108*cMM**2d0*coupl(nGC_357)*coupl(      &
              nGC_360) + 8d0*Ten1109*cMTA**2d0*coupl(nGC_375)*coupl(nGC_378) - &
              Ten1116*coupl(nGC_234)*coupl(nGC_236) - 2d0*Ten1117*coupl(nGC_233&
              )*coupl(nGC_236) - Ten1118*coupl(nGC_233)*coupl(nGC_235) + 32d0* &
              Ten1120*coupl(nGC_351)*coupl(nGC_354) + 32d0*Ten1123*coupl(      &
              nGC_357)*coupl(nGC_360) + 32d0*Ten1126*coupl(nGC_375)*coupl(     &
              nGC_378) + 2d0*cima*Ten13*coupl(nGC_132) + cima*Ten14*coupl(     &
              nGC_133) + cima*Ten2*coupl(nGC_17) + 2d0*cima*Ten3*coupl(nGC_128 &
              ))/(2d0*(MHH**2d0 - MHL**2d0)))/(16d0*pi**2d0) + cima*(coupl(    &
              nGC_236)*dtHl_QED1/cMHL**2d0 + coupl(nGC_233)*dtHh_QED1/cMHH**2d0&
              )/(MHH**2d0 - MHL**2d0)
    da_QED2 = cone*real(da_QED2,kind=dp)
  end if 
end subroutine set_ctparameter200
end module ctparameter200
