!******************************************************************************!
!                                                                              !
!    ctparameter75.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter75.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-14 01:00             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter75
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter75()
  if (dZdL_QCD2_scheme .eq. 1) then
    dZdL_QCD2 = (coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(4d0*Nc) + coupl(&
                nGC_13)**2d0*sq2**2d0*(Ten518*(Nc**2d0 - 1d0) + Ten524*(Nc**2d0&
                 - 1d0) + 2d0*Ten535*cMD_reg**2d0*(-Nc**2d0 + 1d0) + 2d0*Ten542&
                *cMD_reg**2d0*(Nc**2d0 - 1d0))/(2d0*Nc))/(16d0*pi**2d0)
    dZdL_QCD2 = cone*real(dZdL_QCD2,kind=dp)
  end if 
end subroutine set_ctparameter75
end module ctparameter75
