!******************************************************************************!
!                                                                              !
!    lcUUVVa.f90                                                               !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   lcUUVVa.f90                                    |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-14 00:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module lcUUVVa
  use class_vertices
  use constants_mdl
  implicit none
  complex (dp) :: x0, x1, x2, x3, x4, x5, x6, x7, x8, x9, x10, x11, x12, x13,  &
                  x14, x15, x16, x17, x18, x19, x20, x21, x22, x23, x24, x25,  &
                  x26, x27, x28, x29, x30
  complex (dp), dimension(0:3) :: x0vec, x1vec, x2vec, x3vec
  contains
    subroutine loopUUVVa(ty, co, wl, P1, PL1, w2, P2, PL2, w3, P3, PL3, m, wp, &
    riMaxIn, riMaxOut, rankInc)
      complex (kind = dp), intent(in), dimension(0:3) :: P1, PL1
      complex (kind = dp), intent(in), dimension(0:3, 0:riMaxIn) :: wl
      complex (kind = dp), intent(in), dimension(0:3) :: P2, PL2
      complex (kind = dp), intent(in), dimension(0:3) :: w2
      complex (kind = dp), intent(in), dimension(0:3) :: P3, PL3
      complex (kind = dp), intent(in), dimension(0:3) :: w3
      complex (dp), intent(out), dimension(0:3,0:riMaxOut) :: wp
      complex (kind = dp), intent(in) :: m
      complex (kind = dp), dimension(0:3) :: pl, p
      integer, intent(in) :: riMaxIn, riMaxOut, rankInc
      integer, intent(in) :: ty
      complex (kind = dp), dimension(0:), intent(in) :: co
      complex (kind = dp), dimension(0:3) :: sp1
      complex (kind = dp), dimension(0:3,0:3) :: sp2
      complex (kind = dp), dimension(0:3,0:3,0:3) :: sp3
      complex (kind = dp), dimension(0:3,0:3,0:3,0:3) :: sp4
      character(len=3) :: ty_str
      integer :: riOut, j
      logical :: isFirstRI
      integer :: mu, nu, ro, ta, te, tu
      select case(ty)
      case(UaVUV0)
!       Metric(2,4)*c0
        do j = riMaxIn, 0, -1
          wp(:,j) = -cima*co(0)*w2(:)*w3(0)*wl(0,j)
        end do 
      case(VUaUV0)
!       Metric(1,4)*c0
        do j = riMaxIn, 0, -1
          wp(:,j) = -cima*co(0)*w2(0)*w3(0)*wl(:,j)
        end do 
      case(VVUUa0)
!       Metric(1,2)*c0
        wp(0,:) = cima*co(0)*w2(0)*w3(0)*wl(0,:) - cima*co(0)*w2(1)*w3(0)*wl(1 &
                  ,:) - cima*co(0)*w2(2)*w3(0)*wl(2,:) - cima*co(0)*w2(3)*w3(0 &
                  )*wl(3,:)
        wp(1:3,:) = cnul
      case(UUaVV0)
!       Metric(3,4)*c0
        do j = riMaxIn, 0, -1
          wp(:,j) = -cima*co(0)*w2(0)*w3(:)*wl(0,j)
        end do 
      case(UaVVU0)
!       Metric(2,3)*c0
        wp(0,:) = cima*co(0)*w2(0)*w3(0)*wl(0,:) - cima*co(0)*w2(1)*w3(1)*wl(0 &
                  ,:) - cima*co(0)*w2(2)*w3(2)*wl(0,:) - cima*co(0)*w2(3)*w3(3 &
                  )*wl(0,:)
        wp(1:3,:) = cnul
      case(VUUaV0)
!       Metric(1,4)*c0
        do j = riMaxIn, 0, -1
          wp(:,j) = -cima*co(0)*w2(0)*w3(0)*wl(:,j)
        end do 
      case(UVVUa0)
!       Metric(2,3)*c0
        wp(0,:) = cima*co(0)*w2(0)*w3(0)*wl(0,:) - cima*co(0)*w2(1)*w3(1)*wl(0 &
                  ,:) - cima*co(0)*w2(2)*w3(2)*wl(0,:) - cima*co(0)*w2(3)*w3(3 &
                  )*wl(0,:)
        wp(1:3,:) = cnul
      case(VUVUa0)
!       Metric(1,3)*c0
        wp(0,:) = cima*co(0)*w2(0)*w3(0)*wl(0,:) - cima*co(0)*w2(0)*w3(1)*wl(1 &
                  ,:) - cima*co(0)*w2(0)*w3(2)*wl(2,:) - cima*co(0)*w2(0)*w3(3 &
                  )*wl(3,:)
        wp(1:3,:) = cnul
      case(VVUaU0)
!       Metric(1,2)*c0
        wp(0,:) = cima*co(0)*w2(0)*w3(0)*wl(0,:) - cima*co(0)*w2(1)*w3(0)*wl(1 &
                  ,:) - cima*co(0)*w2(2)*w3(0)*wl(2,:) - cima*co(0)*w2(3)*w3(0 &
                  )*wl(3,:)
        wp(1:3,:) = cnul
      case(UaUVV0)
!       Metric(3,4)*c0
        do j = riMaxIn, 0, -1
          wp(:,j) = -cima*co(0)*w2(0)*w3(:)*wl(0,j)
        end do 
      case(UVUaV0)
!       Metric(2,4)*c0
        do j = riMaxIn, 0, -1
          wp(:,j) = -cima*co(0)*w2(:)*w3(0)*wl(0,j)
        end do 
      case(VUaVU0)
!       Metric(1,3)*c0
        wp(0,:) = cima*co(0)*w2(0)*w3(0)*wl(0,:) - cima*co(0)*w2(0)*w3(1)*wl(1 &
                  ,:) - cima*co(0)*w2(0)*w3(2)*wl(2,:) - cima*co(0)*w2(0)*w3(3 &
                  )*wl(3,:)
        wp(1:3,:) = cnul
      end select 
    end subroutine loopUUVVa
end module lcUUVVa
